commit 22651d24b5136d09282494f35fb85e6464c15845
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed Oct 6 18:12:16 2010 +0200

    Release 0.4.0

 NEWS         |   17 +++++++++++++++++
 configure.ac |    6 +++---
 2 files changed, 20 insertions(+), 3 deletions(-)

commit cb8a603aea2f05e376a165cae2219a213c7517a4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 6 17:01:45 2010 +0100

    fix compilation of recently changed code in SalutConnection

 src/salut-connection.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 748d74aa6eb4a52948ed7b37374e2b3a0a1f2f4f
Merge: 89cd8e0 7bea65c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 6 16:52:23 2010 +0100

    Merge branches 'cleaning' and 'tests'
    
    Reviewed-by: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>

commit 7bea65c65ef9bd86a5671c00772440feab4f3d1c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 6 15:53:26 2010 +0100

    test-caps-file-transfer: specifically look for the contact we care about
    
    Otherwise, we could get capability changes for other contacts on the LAN.

 tests/twisted/avahi/test-caps-file-transfer.py |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9e3c7be28649ecacde7580a1b1f3c0b40e5f9b7c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 6 15:49:00 2010 +0100

    servicetest: update from Gabble to get parallel event queues

 tests/twisted/servicetest.py |  161 ++++++++++++++++++++++++++++--------------
 1 files changed, 108 insertions(+), 53 deletions(-)

commit 89cd8e077616ef9d0da1ea58093ee363bfc0495e
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Tue Oct 5 17:52:51 2010 +0200

    Remove the activity when its channel has been closed, as Gabble does
    
    * src/salut-connection.c: Listen for muc channels closed and leave
      the associated activity.
    * src/salut-self.[hc]: Add salut_self_remove_olpc_activity()

 src/salut-connection.c |   70 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/salut-self.c       |   16 +++++++++++
 src/salut-self.h       |    3 ++
 3 files changed, 89 insertions(+), 0 deletions(-)

commit ee2c2dea450e484a6245f78f0b56bd7f07083902
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 18:39:03 2010 +0100

    Apply some fairly crude filtering to the lcov output again

 rules/lcov.mak |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 50668ea83a111b3e795a3ba0e9cc73735bda4b2e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 18:34:59 2010 +0100

    Remove lcov output cleaning, which no longer works in the current version

 rules/lcov.mak |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

commit e7ca1633d073bed2a77c98dab731a6d1357ce14e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:37:53 2010 +0100

    Ignore more generated files

 .gitignore |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3253fc54e9e4c186ad918ed9c8204e6c238aea0a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:32:59 2010 +0100

    Remove check for <net/if.h> which is no longer used

 configure.ac |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit 6479b4316ce426cc1c7e4ef389c4e7760824f8af
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:32:02 2010 +0100

    remove obsolete check for signal.h

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 6fd6e421c8628edfb3faf8c89b48704dca679b9d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:31:05 2010 +0100

    remove obsolete check for backtrace/execinfo functions

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 72f4d1f6f21586cddd1701a9544eb1e085d0a6bb
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:29:52 2010 +0100

    Remove obsolete check for endianness, now that we don't ship SHA1 code

 configure.ac |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 75bf11161e99009dea17109ef43f3857141c1c9e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:28:43 2010 +0100

    remove obsolete check for dbus-binding-tool

 configure.ac |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 3c3529a3edd0be3a2e465f77243947ca3db41903
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 16:28:18 2010 +0100

    adjust configure.ac so it doesn't mis-highlight

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d81daec166a107c709463f65162c6315f8014b19
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 13:56:47 2010 +0100

    SalutDisco: simplify priv access

 src/salut-disco.c |   28 +++++++++++++---------------
 1 files changed, 13 insertions(+), 15 deletions(-)

commit b2ba7ca61ffa7365d1542069301d3a4c51aee231
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 13:54:42 2010 +0100

    SalutConnection: use a safer idiom for private struct access

 src/salut-connection.c |   83 ++++++++++++++++++++++-------------------------
 src/salut-connection.h |    3 +-
 2 files changed, 41 insertions(+), 45 deletions(-)

commit abf567919afeb46ee3700055428449c29e3f013f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 13:55:00 2010 +0100

    SalutAvahiContact: use a safer idiom for private struct access

 src/salut-avahi-contact.c |   31 ++++++++++++++-----------------
 1 files changed, 14 insertions(+), 17 deletions(-)

commit 88a6126931dfbe5c9dede9959e9057ad1f892c7d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 13:54:04 2010 +0100

    SalutContact: use a safer idiom for priv access

 src/salut-contact.c |   42 ++++++++++++++++++++----------------------
 src/salut-contact.h |    2 ++
 2 files changed, 22 insertions(+), 22 deletions(-)

commit 0393fb6f36637b7370347c37d1f6caf984be188d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 13:59:30 2010 +0100

    SalutAvahiSelf: use type-safe idiom for priv access

 src/salut-avahi-self.c |   38 ++++++++++++++------------------------
 src/salut-avahi-self.h |    3 ++-
 2 files changed, 16 insertions(+), 25 deletions(-)

commit be35d7da176b8c5457a2c3c3e7a0b7113894ffec
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 13:53:24 2010 +0100

    SalutSelf: use a safer idiom for private struct access

 src/salut-self.c |   53 ++++++++++++++++++++++++++++++-----------------------
 src/salut-self.h |    3 +++
 2 files changed, 33 insertions(+), 23 deletions(-)

commit 422a2b4ecdf3062d1c565c820ddac20c3d267637
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 12:37:00 2010 +0100

    gibber: remove now-unused MD5 implementation

 lib/gibber/Makefile.am          |    6 +-
 lib/gibber/libmd5-rfc/md5.c     |  381 ---------------------------------------
 lib/gibber/libmd5-rfc/md5.h     |   91 ----------
 lib/gibber/libmd5-rfc/md5main.c |  139 --------------
 4 files changed, 1 insertions(+), 616 deletions(-)

commit c0949ae111fa6120143278af158e3d0c62d4f6ce
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 12:35:30 2010 +0100

    gibber: remove SASL support
    
    Wocky now has this, and Salut never used it.

 configure.ac                                       |   14 -
 lib/gibber/Makefile.am                             |    2 -
 lib/gibber/gibber-sasl-auth.c                      |  869 --------------------
 lib/gibber/gibber-sasl-auth.h                      |   91 --
 lib/gibber/tests/Makefile.am                       |   11 -
 lib/gibber/tests/check-gibber-sasl-auth.c          |  213 -----
 lib/gibber/tests/check-gibber.h                    |    1 -
 lib/gibber/tests/check-main.c                      |    3 -
 lib/gibber/tests/test-sasl-auth-server.c           |  460 -----------
 lib/gibber/tests/test-sasl-auth-server.h           |   73 --
 10 files changed, 0 insertions(+), 1737 deletions(-)

commit 6e9cc8f19d0d5f80ce951304e6afe0cf64cd906b
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 5 12:30:25 2010 +0100

    Remove examples and OpenSSL support from libgibber
    
    Salut doesn't need SSL, and Gabble never used this functionality. New
    projects should use GIO and/or Wocky.

 configure.ac                      |   18 -
 lib/gibber/Makefile.am            |   16 +-
 lib/gibber/examples/Makefile.am   |   33 --
 lib/gibber/examples/test-ssl.c    |  269 -------------
 lib/gibber/examples/test-tcp.c    |  147 --------
 lib/gibber/gibber-ssl-transport.c |  751 -------------------------------------
 lib/gibber/gibber-ssl-transport.h |   76 ----
 7 files changed, 1 insertions(+), 1309 deletions(-)

commit 60e50418facfdfc0b367b02bf88de7f615d9148c
Merge: 2bee924 8644ef8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 14:52:52 2010 +0100

    Merge branch 'tests'
    
    Reviewed-by: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>

commit 8644ef895fd86084de5af8ab219d8aeb1b303c55
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 14:12:37 2010 +0100

    saluttest: optionally don't make a Connection
    
    Tests for ConnectionManager and Protocol don't need to interact with Avahi
    at all.

 tests/twisted/saluttest.py |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)

commit 6053b767827fb68d06ef32255e0cd985815dcb0d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 14:11:49 2010 +0100

    saluttest: use install_colourer() from servicetest

 tests/twisted/saluttest.py |   29 ++---------------------------
 1 files changed, 2 insertions(+), 27 deletions(-)

commit 05296bdfb9eb3acd494aec39e978329daef0484a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 14:11:24 2010 +0100

    servicetest: update from Gabble

 tests/twisted/servicetest.py |  224 ++++++++++++++++++++++++++++++++++--------
 1 files changed, 183 insertions(+), 41 deletions(-)

commit e23377959f56a10b89364908fc4638557c78e140
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 13:08:48 2010 +0100

    test-request-im: pick up the desired handle in a non-racy way
    
    If we're really unlucky, someone else on the network could drop off
    between getting the MembersChanged, and inspecting their handle. We
    could work around this with try: except:, but now that
    MembersChangedDetailed exists, we don't have to.

 tests/twisted/avahi/test-request-im.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit e01e0c53a0565d45c125d5e18b3a2fa52bd7fc03
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 13:07:31 2010 +0100

    test-muc-invite: reject the invitation in a way that actually works

 tests/twisted/avahi/test-muc-invite.py |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 5984be4092c3f390c1d8afccb1aeb2c435f6f15a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 13:04:27 2010 +0100

    test-muc-invite: make interface checking future-proof
    
    The check for Interfaces has failed ever since Messages support was added.
    
    We could make much, much more use of constants and servicetest in this
    test, but making the tests pass is a higher priority for now.

 tests/twisted/avahi/test-muc-invite.py |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit eb51a18a4fb73e65536b37132d8725d962483fb7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 14:12:50 2010 +0100

    constants: add Aliasing and complex Presence

 tests/twisted/constants.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 05ef9f4215eb93fd31709436c4eb13d47d6233d2
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 12:57:52 2010 +0100

    constants.py: update from telepathy-gabble, mostly
    
    However, revert the change to the final ContactCapabilties namespace:
    Salut only implements draft 1.

 tests/twisted/constants.py |  185 +++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 183 insertions(+), 2 deletions(-)

commit 2bee92445dee73db51690cce03d4c0f3b0d4c82d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 11:34:35 2010 +0100

    salut_connection_manager_new_connection: access the right priv pointer

 src/salut-connection-manager.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5edddb86c1120205a140c0dd2c2dfd4350116dac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 1 11:34:23 2010 +0100

    Set nano version so we can have -Werror again

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 816b4e8169dba1d957ea9a882744d3766a44e8bf
Merge: 6aae570 e18e5bc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 24 10:52:01 2010 +0100

    Merge branch 'misc'
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

commit e18e5bcd4115f50fa0fc2fc88f0e15995db23606
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 23 16:36:37 2010 +0100

    salut_normalize_non_empty: factor out connection-independent normalization
    
    We'll need this for the Protocol.

 src/salut-connection.c |   17 ++++++++++++-----
 src/salut-connection.h |    2 ++
 2 files changed, 14 insertions(+), 5 deletions(-)

commit 286f1ba0d330dfc0513e1d45cf58884408f2e8c6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 23 16:34:38 2010 +0100

    salut_connection_get_implemented_interfaces: add
    
    We'll need this for Protocol objects.

 src/salut-connection.c |   31 +++++++++++++++++++------------
 src/salut-connection.h |    2 ++
 2 files changed, 21 insertions(+), 12 deletions(-)

commit 636c5237465f5d8f15638e8a38f28f0744737e25
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 23 16:34:00 2010 +0100

    salut_connection_manager_finalize: chain up to superclass correctly

 src/salut-connection-manager.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit a3edc3da9df00ae0cc787f34481a01b63a9f3453
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 23 16:32:49 2010 +0100

    SalutConnectionManager: use the normal telepathy-glib priv idioms
    
    This way is less verbose and more type-safe that what's there at the
    moment.

 src/salut-connection-manager.c |   15 ++++++---------
 src/salut-connection-manager.h |    3 ++-
 2 files changed, 8 insertions(+), 10 deletions(-)

commit cbde852e371dfdaadda1d62453ff6b815b7c25ae
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 23 16:28:46 2010 +0100

    SalutConnectionManager: include headers in the recommended order

 src/salut-connection-manager.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 0f85e9ae246b1e7a9b7872bca14dbb92fe0d1910
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 23 16:27:28 2010 +0100

    Remove the GibberResolver and all its infrastructure
    
    Salut never used it, and Gabble no longer uses it either, so let's bin it.
    Please use GResolver in new code.

 configure.ac                             |   34 --
 lib/gibber/Makefile.am                   |   18 +-
 lib/gibber/examples/Makefile.am          |    9 +-
 lib/gibber/examples/test-resolv.c        |  130 -----
 lib/gibber/gibber-resolver-asyncns.c     |  415 --------------
 lib/gibber/gibber-resolver-asyncns.h     |   59 --
 lib/gibber/gibber-resolver.c             |  896 ------------------------------
 lib/gibber/gibber-resolver.h             |  175 ------
 lib/gibber/tests/Makefile.am             |    3 -
 lib/gibber/tests/check-gibber-resolver.c |   91 ---
 lib/gibber/tests/check-gibber.h          |    1 -
 lib/gibber/tests/check-main.c            |    1 -
 lib/gibber/tests/test-resolver.c         |  113 ----
 lib/gibber/tests/test-resolver.h         |   59 --
 14 files changed, 2 insertions(+), 2002 deletions(-)

commit 6aae5708e84425b101cf17f43baf9bb500dce943
Merge: e5d9e6c 9d18668
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Sep 16 16:31:03 2010 +0200

    Merge branch 'master' of git+ssh://git.collabora.co.uk/git/telepathy-salut

commit 9d18668df1f73ee797fa29e304b02373e21c9f1f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 16 16:00:19 2010 +0200

    fix shadow warning errors

 src/salut-tubes-manager.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit e5d9e6c15a3b2a647387613c63398866510b0d35
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Thu Aug 19 14:03:24 2010 +0200

    version 0.3.13

 NEWS         |   19 +++++++++++++++++--
 configure.ac |    4 ++--
 2 files changed, 19 insertions(+), 4 deletions(-)

commit 44b3d6b3b74687c015e990515a0866a1cdf4bf2b
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Aug 16 12:14:18 2010 +0200

    Add rationales to AddActivity and GetActivity

 extensions/OLPC_Activity_Properties.xml |    4 ++++
 extensions/OLPC_Buddy_Info.xml          |    5 +++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit c4942f37f1462f067eb7b65d87ba6d7510c3cf6d
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed Aug 11 15:15:46 2010 +0200

    Add a BuddyInfo.AddActivity method so activities can advertise themselves without having to track all the other shared activities.
    
    Exposes salut_self_add_olpc_activity in salut-self.h

 extensions/OLPC_Buddy_Info.xml |   20 ++++++++++++++++++++
 src/salut-connection.c         |   24 ++++++++++++++++++++++++
 src/salut-self.c               |   17 +++++++----------
 src/salut-self.h               |    3 +++
 4 files changed, 54 insertions(+), 10 deletions(-)

commit ac58539082c8fa438e2ef9148d51c5618fde64bd
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed Aug 11 15:10:49 2010 +0200

    Add a ActivityProperties.GetActivity method for retrieving an activity's room handle from its id.

 extensions/OLPC_Activity_Properties.xml |   20 ++++++++++++++++++
 src/salut-connection.c                  |   33 +++++++++++++++++++++++++++++++
 src/salut-olpc-activity-manager.c       |   20 ++++++++++++++++++
 src/salut-olpc-activity-manager.h       |    3 ++
 4 files changed, 76 insertions(+), 0 deletions(-)

commit 726001d0d64457905c645bb9ade8aecbca756a0c
Merge: a242b11 0d374be
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed May 26 11:37:53 2010 +0100

    Merge branch 'trivia'
    
    Reviewed-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
    Bug: https://bugs.freedesktop.org/show_bug.cgi?id=28258

commit 0d374be6fe41427482faa43995dedfdee836842e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed May 26 10:53:17 2010 +0100

    with-session-bus.sh: update from telepathy-glib, fixing a bashism

 tests/twisted/tools/with-session-bus.sh |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 846767b6c0b232cd53f67bc23c73a9d9395e4f0f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed May 26 10:52:15 2010 +0100

    configure.ac: fix non-POSIX use of test

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a242b118a7f4808342e522108da692e7264f7a40
Author: Xavier Claessens <xclaesse@gmail.com>
Date:   Thu May 20 14:55:51 2010 +0200

    Implement avatar requirements properties

 src/salut-connection.c |   63 ++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 56 insertions(+), 7 deletions(-)

commit dc1f76f249ea031ef50709b660db054e7daa1c17
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 12:22:47 2010 +0100

    Nano version

 NEWS         |    5 +++++
 configure.ac |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit ed1f3a02205af96f5b0b63f9bf47e9dc1aebd7b5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 12:04:15 2010 +0100

    Prepare version 0.3.12

 NEWS         |   27 +++++++++++++++++++++++++--
 configure.ac |    4 ++--
 2 files changed, 27 insertions(+), 4 deletions(-)

commit 8220abbc6b079aeb9760b1d399ca029ea7751e95
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 12:01:45 2010 +0100

    Quieten build further

 data/Makefile.am                |    4 ++--
 docs/Makefile.am                |    4 ++--
 extensions/Makefile.am          |   22 +++++++++++-----------
 lib/gibber/Makefile.am          |   10 +++++-----
 src/Makefile.am                 |   10 +++++-----
 tests/twisted/Makefile.am       |    2 +-
 tests/twisted/tools/Makefile.am |    8 ++++----
 tools/Makefile.am               |   12 ++++++------
 8 files changed, 36 insertions(+), 36 deletions(-)

commit 7e6b2d33b287c9b6d743f7a0d1f6463e4e582c44
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:54:52 2010 +0100

    Revert "Shave salut's build."
    
    This reverts commit 99cc66bb81516ad87657e8d49e286502bba63f69.
    
    Conflicts:
    
    	lib/gibber/Makefile.am
    	src/Makefile.am

 .gitignore                      |    3 -
 configure.ac                    |    4 --
 data/Makefile.am                |    6 +--
 docs/Makefile.am                |    6 +--
 extensions/Makefile.am          |   24 +++++------
 lib/gibber/Makefile.am          |   12 ++---
 lib/gibber/examples/Makefile.am |    4 +-
 m4/shave.m4                     |   77 --------------------------------------
 shave-libtool.in                |   69 ----------------------------------
 shave.in                        |   79 ---------------------------------------
 src/Makefile.am                 |   14 +++----
 tests/twisted/Makefile.am       |    4 +-
 tests/twisted/tools/Makefile.am |    8 +--
 tools/Makefile.am               |   14 +++----
 tools/shave.mk                  |    1 -
 15 files changed, 37 insertions(+), 288 deletions(-)

commit 4cd65645628c1b3a16cc84225833b67e9876e8ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:51:33 2010 +0100

    Enable optional quiet build

 autogen.sh   |   13 +++++++------
 configure.ac |    1 +
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 33f1636f3ea64375cb1db0a13ddfbbdbcfd64222
Merge: 89f5517 c26c019
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:37:33 2010 +0100

    Merge branch 'misc'
    
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

commit c26c0197cca74b9bc21abf88819464ac29213a86
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:34:52 2010 +0100

    fd.o #26152: make critical warnings fatal by default

 src/salut.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit e9f335b11233ce3dd61286bfe49f21790adbab6a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:31:34 2010 +0100

    fd.o #20732 (partial): allow the user to leave MUCs with RemoveMembers()
    
    At the moment, Clique does not define a way to send a parting message,
    so the message and reason-code are ignored; however, this does fix the
    telepathy-spec compliance issue.

 src/salut-muc-channel.c                |   62 ++++++++++++++++++++++++++------
 tests/twisted/avahi/test-muc-invite.py |    2 +-
 2 files changed, 52 insertions(+), 12 deletions(-)

commit 89f5517ba20124b8e4d494280a4acb3802981cef
Merge: ae192c1 b760492
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:15:02 2010 +0100

    Merge remote branch 'cassidy/muc-properties-27289'
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

commit ae192c1f652fb79baf56a2daf15e76b18b0dbc67
Merge: c826be4 68ee3cc
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu May 20 11:10:39 2010 +0100

    Merge branch 'gibbering-wreck'

commit 68ee3ccf3cae7c3054b6f972632bc89beadfdcf1
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 15:49:00 2010 +0100

    gibber_fd_transport_set_fd: take an is_socket parameter, and call Winsock-compatible functions if true
    
    For the moment I'm just skipping the "non-blocking I/O" fcntl for
    non-sockets on Windows. In practice, this code path is never taken...
    
    (Taken from Gabble)

 lib/gibber/gibber-fd-transport.c        |   19 ++++++++++++++++---
 lib/gibber/gibber-fd-transport.h        |    3 ++-
 lib/gibber/gibber-linklocal-transport.c |    4 ++--
 lib/gibber/gibber-listener.c            |    2 +-
 lib/gibber/gibber-tcp-transport.c       |    2 +-
 lib/gibber/gibber-unix-transport.c      |    4 ++--
 6 files changed, 24 insertions(+), 10 deletions(-)

commit 50d6f3d9a86d6512ce6e1b558827b82888cdffad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 15:48:04 2010 +0100

    Conditionalize uses of unistd.h in Gibber

 lib/gibber/gibber-fd-transport.c        |    7 ++++++-
 lib/gibber/gibber-linklocal-transport.c |    7 ++++++-
 lib/gibber/gibber-listener.c            |    9 ++++++++-
 lib/gibber/gibber-tcp-transport.c       |    6 +++++-
 lib/gibber/gibber-util.c                |    6 +++++-
 5 files changed, 30 insertions(+), 5 deletions(-)

commit 7aa834a49404af2881b4b44c9817e80fd4e84c37
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 16:12:09 2009 +0000

    GibberListener: use gibber_socket_set_error

 lib/gibber/gibber-listener.c |   45 ++++++++++++++++-------------------------
 1 files changed, 18 insertions(+), 27 deletions(-)

commit b3062292012a2f26e5d17b61faa00451b6504ada
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 16:17:07 2009 +0000

    GibberTCPTransport: use gibber_socket_errno, gibber_socket_strerror
    
    errno and strerror won't work on Windows. *sigh*

 lib/gibber/gibber-sockets.c       |    4 ++--
 lib/gibber/gibber-sockets.h       |    2 ++
 lib/gibber/gibber-tcp-transport.c |    3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

commit faac37f9310d0d8ef5344e68a61825d9d2f48ea6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 15:40:05 2009 +0000

    gibber-tcp-transport: new_connect_attempt: use gibber-sockets.h wrappers

 lib/gibber/gibber-tcp-transport.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6b0f0e6370f2ce0d2a2daab40b2a29274bc82473
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 15:38:42 2009 +0000

    gibber_socket_set_nonblocking: wrapper for fcntl or ioctlsocket as appropriate

 lib/gibber/gibber-sockets.c |   12 ++++++++++++
 lib/gibber/gibber-sockets.h |    2 ++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit 41910a006f859fd73cab9e904c6174d49484ea02
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 16:11:40 2009 +0000

    gibber_socket_set_error etc.: add wrappers for Winsock not returning errors in errno

 lib/gibber/gibber-sockets.c |   54 +++++++++++++++++++++++++++++++++++++++++++
 lib/gibber/gibber-sockets.h |    4 +++
 2 files changed, 58 insertions(+), 0 deletions(-)

commit 2c30cd332f1c88d4b53ce38e9b46d49d8aacb71f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Oct 13 16:22:31 2009 +0100

    GibberListener: stub out Unix sockets unless GIBBER_TYPE_UNIX_TRANSPORT was built

 lib/gibber/gibber-listener.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 9965331b27831d812901f26c3cdf48446156a196
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 15:48:38 2009 +0000

    gibber-listener: add_listener: use gibber_io_channel_new_from_socket
    
    We're listening on IPv4, IPv6 or Unix here, so we know it's a socket, not
    some other sort of fd.

 lib/gibber/gibber-listener.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6ce8fe4a794971bc4cbf40f57f7cb053e6c44fd3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Oct 28 15:32:20 2009 +0000

    gibber_io_channel_new_from_socket: new wrapper function
    
    This should only be used if sockfd is known to be a socket.

 lib/gibber/gibber-sockets.c |   10 ++++++++++
 lib/gibber/gibber-sockets.h |    2 ++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit da2783bd5cd4d695ad364cbc80b212a2c90b3999
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 14:54:40 2010 +0100

    gibber_connect_errno_requires_retry: wrap the difference between Winsock and Unix errno values
    
    From Gabble.

 lib/gibber/Makefile.am            |    1 +
 lib/gibber/gibber-sockets.c       |   36 ++++++++++++++++++++++++++++++++++++
 lib/gibber/gibber-sockets.h       |    6 ++++++
 lib/gibber/gibber-tcp-transport.c |    2 +-
 4 files changed, 44 insertions(+), 1 deletions(-)

commit 508cf75c238574f0ccbaaa26316d4ba5877ae97e
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 15:16:35 2010 +0100

    GibberUnixTransport: don't build if not running on Unix

 lib/gibber/gibber-unix-transport.c |    8 +++++++-
 lib/gibber/gibber-unix-transport.h |    4 ++++
 2 files changed, 11 insertions(+), 1 deletions(-)

commit 23079bc4b84054734ccac5c1a2a84d662175319c
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Fri Dec 18 14:06:53 2009 +0000

    Initialize the buffer used in a cmsg to zero
    
    Initializing the buffer the zero prevents false positives from valgrind. Also
    fixed a small code consistency issue

 lib/gibber/gibber-unix-transport.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9dd84176101220b136eb4b72f9843350645f5263
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 15:10:28 2010 +0100

    Use gibber-sockets.h within Gibber, instead of individual networking headers
    
    Similar changes have been made in Gabble already.

 lib/gibber/gibber-bytestream-direct.c        |    4 +---
 lib/gibber/gibber-bytestream-direct.h        |    2 +-
 lib/gibber/gibber-bytestream-oob.c           |    4 +---
 lib/gibber/gibber-bytestream-oob.h           |    3 +--
 lib/gibber/gibber-fd-transport.c             |    2 +-
 lib/gibber/gibber-fd-transport.h             |    5 +----
 lib/gibber/gibber-linklocal-transport.c      |    2 +-
 lib/gibber/gibber-listener.c                 |    4 ----
 lib/gibber/gibber-muc-connection.c           |    3 +--
 lib/gibber/gibber-multicast-transport.c      |    6 +-----
 lib/gibber/gibber-r-multicast-packet.c       |    2 +-
 lib/gibber/gibber-resolver.c                 |    7 ++-----
 lib/gibber/gibber-resolver.h                 |    3 +--
 lib/gibber/gibber-tcp-transport.c            |    2 +-
 lib/gibber/gibber-transport.h                |    2 +-
 lib/gibber/gibber-unix-transport.c           |    2 ++
 lib/gibber/gibber-util.h                     |    4 +---
 lib/gibber/gibber-xmpp-connection-listener.c |    3 +--
 18 files changed, 19 insertions(+), 41 deletions(-)

commit c2b2d0fa47f10ed6fe84c744205dbf0f8deec798
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 14:48:29 2010 +0100

    gibber-sockets.h: new meta-header for various system socket headers
    
    This wouldn't be a viable approach for a real library (it requires
    including config.h in a header), but Gibber is just a convenience
    library and will remain so until we've migrated out all its code, so
    I think it's acceptable here.
    
    (Copied from Gabble.)

 lib/gibber/Makefile.am            |    3 ++
 lib/gibber/gibber-sockets-unix.h  |   61 +++++++++++++++++++++++++++++++++++++
 lib/gibber/gibber-sockets-win32.h |   29 +++++++++++++++++
 lib/gibber/gibber-sockets.h       |   33 ++++++++++++++++++++
 4 files changed, 126 insertions(+), 0 deletions(-)

commit 18c463bdf541c94454b191d2a69f81ecaf6c44b7
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 14:43:51 2010 +0100

    configure.ac: check for numerous networking-related headers
    
    Originally from Gabble.

 configure.ac |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit b9556285bf33827b876b0048e53b5a2be0816d3e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed Nov 25 13:08:49 2009 +0000

    Document a deliberate switch fall-through

 lib/gibber/gibber-fd-transport.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 10e1d2758dbcdf9c04c2ca96a42a2bf357eba69c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri May 7 14:38:38 2010 +0100

    fd.o#22970: GibberUnixTransport: make credential-passing support optional and detectable
    
    Our implementation only works for Linux so far, so we need to be able to
    avoid advertising credential-passing on e.g. Darwin.
    
    Patches to the implementation were copied from Gabble, fd.o #22968;
    patches to the tests are new.

 lib/gibber/gibber-unix-transport.c             |   47 ++++++++++++++++++++++++
 lib/gibber/gibber-unix-transport.h             |    2 +
 lib/gibber/tests/check-gibber-unix-transport.c |   20 +++++++++--
 3 files changed, 66 insertions(+), 3 deletions(-)

commit c826be427182246f0645d42a73f4f38ee3d361c5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Apr 30 17:01:17 2010 +0100

    Revert "debug: add more log level macros"
    
    This reverts commit 0dd711eb6834db4c165a4c75df78852bbe7d5b7d; its ERROR
    etc. macros don't have the desired semantics (see fd.o #27899).
    telepathy-glib/Gabble patches are pending, and a better implementation for
    Salut can be based on one of those.

 src/debug.c |   16 +++++++---------
 src/debug.h |   32 +++-----------------------------
 2 files changed, 10 insertions(+), 38 deletions(-)

commit 0dd711eb6834db4c165a4c75df78852bbe7d5b7d
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Thu Apr 29 18:09:46 2010 +0100

    debug: add more log level macros
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/debug.c |   16 +++++++++-------
 src/debug.h |   32 +++++++++++++++++++++++++++++---
 2 files changed, 38 insertions(+), 10 deletions(-)

commit fbd18d70fd24f60bcb82f10ed32eeefd7269ab2c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Thu Apr 29 18:07:49 2010 +0100

    text-helper: pass the correct timestamp as the "message-sent" value
    
    time is a pointer to time(2) which is not what we want.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/text-helper.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c4a999ffd01db1c8e948ad633387ec9891879c16
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Apr 6 05:29:45 2010 -0500

    Fix building with the tr_TR.UTF-8 locale.
    
    The tr_TR.UTF-8 has a quirk regarding upper and lowercase letters.
    Using the tr command to replace lowercase letters with uppercase
    letters sometimes causes the lowercase letters to remain (namely
    'i'). This patch forces a 'C' locale for these tr commands.

 lib/gibber/Makefile.am |    6 +++---
 src/Makefile.am        |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit d09e25eff397c59623c2292373777bbf349a222b
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Apr 6 16:16:05 2010 -0500

    Remove the Channel_Future.xml extension as it's no longer used.

 extensions/Channel_Future.xml |   66 -----------------------------------------
 extensions/Makefile.am        |    2 -
 extensions/all.xml            |    1 -
 extensions/channel.xml        |   27 -----------------
 4 files changed, 0 insertions(+), 96 deletions(-)

commit 12d283bfa8eaa34cea4178c3378c9ca8ea221a91
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Dec 23 20:06:56 2008 +0000

    SalutContactManager: implement requestotron error correctly
    
    Even if returning an error, we have to return TRUE to say "this channel
    manager is responsible for this request".
    
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

 src/salut-contact-manager.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ab4d036f717130d649dd3f9ad635044872c29a41
Author: Tomeu Vizoso <tomeu@sugarlabs.org>
Date:   Tue Mar 30 14:03:05 2010 +0200

    Remove trailing whitespace

 src/salut-im-channel.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8ae6e3fef89b85ecb40185b965d66267b4823d6c
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Mar 25 17:59:26 2010 -0500

    start dev of 0.3.12

 NEWS         |   10 ++++++++++
 configure.ac |    2 +-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit 245a28c75c7a98f9445e21e3e9c550d98e504213
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Mar 25 15:38:26 2010 -0500

    version 0.3.11

 NEWS         |    8 +++++---
 configure.ac |    4 ++--
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 68b39d303b2e05fe26917906df25df06ef974dfb
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Mar 25 15:25:36 2010 -0500

    Initialize GErrors to NULL.

 src/salut-im-channel.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 688499b9a6d027ad71dbc4718f9c3b8a48dba776
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Mar 25 00:57:22 2010 -0500

    Remove use of g_set_prgname in main().
    
    tp_run_connection_manager calls g_set_prgname internally. It's
    supposed to only be called once. Calling it in addition to
    tp_run_connection_manager causes an assertion. This patch removes
    use of it in main().

 src/salut.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit e0205b4e4ae678e6bb9535ae6ede30d7de654ee6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Mar 25 17:57:09 2010 +0000

    fix silly typos

 src/salut-xmpp-connection-manager.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d01ce69e1e0378c75ffa7179a84e70af5e9227e6
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Mar 25 17:41:05 2010 +0000

    Return an error from Send as soon as we can

 src/salut-im-channel.c |   60 ++++++++++++++++++++++-------------------------
 1 files changed, 28 insertions(+), 32 deletions(-)

commit 212bd66ef7979a5a38efcb1b6085ee57ce495600
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Mon Mar 22 22:16:46 2010 -0500

    Port MUC channels to use the message mixin.

 src/salut-muc-channel.c |  137 +++++++++++++++++++++++------------------------
 src/salut-muc-channel.h |    5 +-
 2 files changed, 70 insertions(+), 72 deletions(-)

commit e18cdefc30e83a8d435356068ae72c987b613e43
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Mar 25 01:07:56 2010 -0500

    Port IM channels to use the message mixin.

 src/salut-im-channel.c |  151 +++++++++++++++++++++++------------------------
 src/salut-im-channel.h |    5 +-
 2 files changed, 76 insertions(+), 80 deletions(-)

commit 2670fbf358c45a7a51bbe559b63f34a67b477db5
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Thu Mar 25 00:53:12 2010 -0500

    Add helper functions for the message interface.
    
    Add some helper functions which contain code for the messaging
    interface are common to both the IM and MUC text channels.

 src/text-helper.c |  130 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/text-helper.h |   13 +++++
 2 files changed, 142 insertions(+), 1 deletions(-)

commit d5fa37b9722b1717abcdc58dbb9c47fbb9fa9805
Author: Mike Ruprecht <mike.ruprecht@collabora.co.uk>
Date:   Tue Mar 23 20:50:43 2010 -0500

    Copy the generate_id function from Gabble's util file.

 configure.ac     |   10 ++++++++++
 src/salut-util.c |   30 +++++++++++++++++++++++++++++-
 src/salut-util.h |    4 +++-
 3 files changed, 42 insertions(+), 2 deletions(-)

commit cbc0bd6cc4f0c8a7d03125de9a5a7ab21906d243
Author: Sjoerd Simons <sjoerd.simons@collabora.co.uk>
Date:   Thu Mar 25 15:50:24 2010 +0000

    Fix strict aliasing warnings from gcc

 lib/gibber/gibber-bytestream-oob.c |   11 +++++++----
 src/salut-avahi-contact.c          |   17 ++++++++++-------
 2 files changed, 17 insertions(+), 11 deletions(-)

commit b760492c7ff2c9c2184df9770bc334afff327152
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 24 16:28:09 2010 +0100

    contact-channel: set set Properties flag on GroupFlags property

 src/salut-contact-channel.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 96be641c7cc8fd6d28c6b2b4bb018ff7c9889762
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 24 16:24:42 2010 +0100

    muc-chat: set Properties flag on GroupFlags property
    
    All the properties are implemented as requested in the spec (fd.o #27289).

 src/salut-muc-channel.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 0047e3efc3bb117702873752fdc33095ac7b8bd5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 24 16:23:28 2010 +0100

    Remove workaround for fd.o #15092
    
    It has been fixed in tp-glib 0.7.19 and we depend on 0.7.36

 src/salut-avahi-muc-channel.c |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit e53d4a71e250a972119bf6c4f7e763f24f82919e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Thu Feb 18 15:56:19 2010 +0000

    configure: be sure to link to avahi-client and avahi-common
    
    See http://bugs.debian.org/556489.
    
    Fixes: fd.o#25123
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0a0acfe0c36dbf529183409cfdab9b74d1fdac4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 10 10:40:47 2009 +0100

    start dev of 0.3.11

 NEWS         |   10 ++++++++++
 configure.ac |    2 +-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit f096d1ff173e508e6e48103c88f7bb5884548853
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Sep 10 10:34:43 2009 +0100

    version 0.3.10

 NEWS         |    4 +++-
 configure.ac |    4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit f46b7d4f0412fdfb66f83685f3e40181013ef4eb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 9 16:12:29 2009 +0100

    re-enable test-disabled-1-1-tubes.py
    
    This reverts commit f3bacb9a257a1f0094d881f9b831889d463a50d6.

 .../twisted/avahi/tubes/test-disabled-1-1-tubes.py |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 58394228cc5ac2f15708140f15d0cd9119202653
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 9 16:11:53 2009 +0100

    Disable 1-1 stream tube for now
    
    This reverts commit c0ffbbfc831e05f18fb45884842f254b4a5bf7ce.

 src/salut-connection.c                             |    4 ++++
 tests/twisted/avahi/test-caps-tubes.py             |    4 ++++
 .../avahi/tubes/test-offer-private-stream-tube.py  |    4 ++++
 tests/twisted/avahi/tubes/test-tube-close.py       |    7 ++++---
 .../avahi/tubes/test-two-private-stream-tubes.py   |    4 ++++
 .../avahi/tubes/tubes-to-nonexistant-ids.py        |    4 ++++
 6 files changed, 24 insertions(+), 3 deletions(-)

commit ceb37db30efb3b266c1a202eca74efe13e6ef294
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 9 16:29:11 2009 +0100

    ile_transfer_helper.py: use hashlib instead of the deprecated md5 module

 .../avahi/file-transfer/file_transfer_helper.py    |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit fc67de29978caf71f7698819e810c4d91a7c5399
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 9 16:27:54 2009 +0100

    Make Python 2.5 a hard dependency
    
    Gabble switched to Python 2.5 as even Maemo has it now.

 configure.ac |   32 ++++++++++----------------------
 1 files changed, 10 insertions(+), 22 deletions(-)

commit 9c455f0529d8642297836454f6490f0450fb0eb8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Sep 9 16:01:24 2009 +0100

    document Debug interface in NEWS

 NEWS |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit f9eca3c0f54500f0d877d9381d174406f17b0c1c
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Wed Sep 9 10:39:07 2009 +0100

    update NEWS
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 2c7c9d0951f395a264002b4fdb3ba539b2ffebf7
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Wed Sep 9 09:49:06 2009 +0100

    connection: save presence/message and set once established if set after self is created
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/salut-connection.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 77d91a16cd55c87e3d2466ce580e64769e96e911
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Tue Sep 8 19:22:08 2009 +0100

    connection: if presence is set before connected, save and set after connecting
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/salut-connection.c |   78 +++++++++++++++++++++++++++++++++++------------
 1 files changed, 58 insertions(+), 20 deletions(-)

commit 795f91319a6e81660fa3f8ea2cd23246617322a7
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Tue Sep 8 19:20:45 2009 +0100

    connection: set "dnd" to PRESENCE_TYPE_BUSY
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 src/salut-connection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a68f130e45fc92da62d2e9d1e9ca123d4cd251e
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Mon Aug 24 12:37:26 2009 +0100

    Add support for TpDebugSender.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 configure.ac                   |    2 +-
 src/Makefile.am                |    3 +-
 src/debug.c                    |   72 ++++++++++++++++++++++++++++++++++++---
 src/debug.h                    |    3 ++
 src/salut-connection-manager.c |   22 ++++++++++++
 5 files changed, 94 insertions(+), 8 deletions(-)

commit a7a5cf31d8e8fd3a4991133c6755ad12890d32b6
Author: Thomas Klausner <wiz@danbala.tuwien.ac.at>
Date:   Mon Aug 24 21:15:27 2009 +0100

    Fix compilation on NetBSD by including more headers
    
    (Originally for telepathy-gabble's copy of libgibber)
    
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 lib/gibber/gibber-fd-transport.h |    1 +
 lib/gibber/gibber-util.h         |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 463c7d126a2eed62f0f8cfb850298aee1121c523
Author: Andres Salomon <dilinger@collabora.co.uk>
Date:   Mon Jul 20 12:18:11 2009 -0400

    telepathy-salut: fix header guard in debug.h
    
    This would allow debug.h's contents to be included twice.
    
    Signed-off-by: Andres Salomon <dilinger@collabora.co.uk>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 src/debug.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f979a181e0ff76e51446ff0593b5330b17af9d90
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 26 16:00:58 2009 +0100

    NEWS: tp-glib 0.7.31, stable tubes, contact caps

 NEWS |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit e06c2119893343905af2517c00841b8c731dc25d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 16:55:03 2009 +0100

    test-olpc-activity-announcements.py: port to new test API

 .../avahi/test-olpc-activity-announcements.py      |   35 +++++++------------
 1 files changed, 13 insertions(+), 22 deletions(-)

commit 8d5ba982fa7f0c2662d2a051f4bf7ab65cb2e2c0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 16:27:19 2009 +0100

    sync servicetest.py from Gabble
    
    The only change is the path argument of dbus-signal events which is the
    full D-Bus path and not the truncated one as in Gabble.

 tests/twisted/servicetest.py |  257 +++++++++++++++---------------------------
 1 files changed, 91 insertions(+), 166 deletions(-)

commit d645fbdea5d49da5bbd747a95c669a10da3afc34
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 16:58:59 2009 +0100

    remove unused 'match' imports

 tests/twisted/avahi/test-request-muc.py            |    2 +-
 tests/twisted/avahi/test-roomlist.py               |    2 +-
 .../twisted/avahi/tubes/test-request-muc-tubes.py  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 331c75faec21490b0ddc3dab2aa6a6cca5250c1d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 16:29:44 2009 +0100

    lazy is never used so there is no point to import it

 tests/twisted/avahi/test-request-muc.py            |    2 +-
 tests/twisted/avahi/test-roomlist.py               |    2 +-
 .../twisted/avahi/tubes/test-request-muc-tubes.py  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 6b6d3c7cc7e1ebb7fb7ea9d7a1e83d9b12ccd72d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 23:27:22 2009 +0000

    test-caps-tubes.py: add generic tube capability

 tests/twisted/avahi/test-caps-tubes.py |  112 ++++++++++++++++++++-----------
 1 files changed, 72 insertions(+), 40 deletions(-)

commit 6974fa8d457dfce8690adfec83965de6319b13ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 23:26:41 2009 +0000

    Implement generic tube capability

 src/salut-tubes-manager.c |   92 +++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 92 insertions(+), 0 deletions(-)

commit ebfa728fbceb5d84237ae0eb592e7ec97a7a09dd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 23:26:06 2009 +0000

    tubes-mgr: add TargetID as allowed property in ContactCapabilities

 src/salut-tubes-manager.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0c87a3419ce4492bb717f0b3fb5fcad255f00700
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 17:05:58 2009 +0100

    tube-dbus: actually implement the LocalHost access control

 src/tube-dbus.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 61de06a19a1ff3cacd52fc30b7930240a60abc05
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 17:00:51 2009 +0100

    add Localhost to SupportedAccessesControl

 src/tube-dbus.c                                 |    2 ++
 tests/twisted/avahi/tubes/two-muc-dbus-tubes.py |    6 ++++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 76d80775d38e5d9431eb228b6b0fa52e08cc9e72
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 16:55:57 2009 +0100

    two-muc-dbus-tubes.py: actually use the tube

 tests/twisted/avahi/tubes/two-muc-dbus-tubes.py |   62 +++++++++++++++++++++--
 1 files changed, 58 insertions(+), 4 deletions(-)

commit 15ec4ef188b29a3cab92c5cd9a5445b9da8223d8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 15:42:32 2009 +0100

    two-muc-dbus-tubes.py: test DBusNames property

 tests/twisted/avahi/tubes/two-muc-dbus-tubes.py |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit d2fd37bd780e48f4122839dc16a3f59abc254506
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 15:42:00 2009 +0100

    tube-dbus: use the rafined TP_HASH_TYPE_DBUS_TUBE_PARTICIPANTS for the dbus-names property

 src/tube-dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3d36f363a99df75b20534392b1334f54e23ec561
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 15:27:36 2009 +0100

    two-muc-dbus-tubes.py: test if DBusNamesChanged is properly fired

 tests/twisted/avahi/tubes/two-muc-dbus-tubes.py |   33 +++++++++++++++++++---
 1 files changed, 28 insertions(+), 5 deletions(-)

commit 2a11a64bebaf319e52a261a79c43f45cc7e7ed66
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 15:27:19 2009 +0100

    fire DBusTube.DBusNamesChanged signal

 src/tube-dbus.c |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 978b667252db9c824532431052727171155261c8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 15:20:47 2009 +0100

    call update_tubes_info once the tube has been opened
    
    We just have to upgrade our tubes announcements when a tube has been
    offered or when one has been opened.

 src/salut-tubes-channel.c |   12 ++----------
 1 files changed, 2 insertions(+), 10 deletions(-)

commit 112c8a655c0529999d63b932ea84c2510bd1043f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 15:19:08 2009 +0100

    tubes-channel: call add_yourself_in_dbus_names once the tube has been opened

 src/salut-tubes-channel.c |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit 1a2e5bbb011e0ba2494b38271cb717a555073aa7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 14:30:32 2009 +0100

    add two-muc-dbus-tubes.py

 tests/twisted/Makefile.am                       |    3 +-
 tests/twisted/avahi/tubes/two-muc-dbus-tubes.py |  180 +++++++++++++++++++++++
 2 files changed, 182 insertions(+), 1 deletions(-)

commit 976e1ad9575012abf59a5f5377f5bffda8f50ea6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 14:27:20 2009 +0100

    remove useless imports from stream tube tests

 .../avahi/tubes/test-two-muc-stream-tubes.py       |    7 +------
 .../avahi/tubes/test-two-private-stream-tubes.py   |    7 +------
 2 files changed, 2 insertions(+), 12 deletions(-)

commit 7edd566343f5ada18f95e5c49d0d1343af4f59ca
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 14:14:20 2009 +0100

    factor out invite_to_muc to tubetestutil.py

 .../avahi/tubes/test-two-muc-stream-tubes.py       |   52 +-------------------
 tests/twisted/avahi/tubes/tubetestutil.py          |   29 +++++++++++
 2 files changed, 31 insertions(+), 50 deletions(-)

commit 58835afd5eeb5bbd85ff445c806bbc022104f1c0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 14:07:10 2009 +0100

    factor out join_muc() to tubetestutil.py

 .../avahi/tubes/test-two-muc-stream-tubes.py       |   13 +++----------
 tests/twisted/avahi/tubes/tubetestutil.py          |   15 +++++++++++++++
 2 files changed, 18 insertions(+), 10 deletions(-)

commit 6d2b0bf8934b727eb68c9d5a38a5e90e609b59c0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 13:51:00 2009 +0100

    use connect_two_accounts() helper in stream tube tests

 .../avahi/tubes/test-two-muc-stream-tubes.py       |   83 +-------------------
 .../avahi/tubes/test-two-private-stream-tubes.py   |   64 +--------------
 2 files changed, 6 insertions(+), 141 deletions(-)

commit c79707c891bb4f2eac5ab7270a28e332ca5aa50e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 13:50:42 2009 +0100

    add tubetestutil.py containing connect_two_accounts(), a tube tests helper function

 tests/twisted/Makefile.am                 |    3 +-
 tests/twisted/avahi/tubes/tubetestutil.py |   78 +++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+), 1 deletions(-)

commit 5e1b48a034e643d0638569caabd1051bb4ab31cc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 13:00:03 2009 +0100

    tubes-channel: always fire the Closed signal when a tube is closed

 src/salut-tubes-channel.c |   31 ++++++++++++-------------------
 1 files changed, 12 insertions(+), 19 deletions(-)

commit e5c06308ae8df97ad22470853eada029db11a6f9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 12:53:23 2009 +0100

    implement DBusTube.Accept method

 src/tube-dbus.c |   38 ++++++++++++++++++++++++++++++++++++--
 1 files changed, 36 insertions(+), 2 deletions(-)

commit b52f21413ec3933eacd120431d573841db8a03fd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 12:39:02 2009 +0100

    salut_muc_channel_received_stanza: remove D-Bus tube exception now they implement the new API

 src/salut-muc-channel.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit b3d2e08d077b38ffd178eab8abf5ea6af5ff0b6e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 12:06:27 2009 +0100

    tube-dbus: bytestream_state_changed_cb: fire TubeChannelStateChanged signal

 src/tube-dbus.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 467418a95c83f3ed906308b815051d1a4389c153
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 12:05:54 2009 +0100

    implement DBusTube.Offer method

 src/tube-dbus.c |   64 ++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 61 insertions(+), 3 deletions(-)

commit 8e80bbb0667077731276efe54aa8dc443387481e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 12:05:25 2009 +0100

    salut_tubes_channel_offer_d_bus_tube: call salut_tube_dbus_offer

 src/salut-tubes-channel.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit c64c9b8ff6c104fc5087277b18803eb04fd6376c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 12:04:10 2009 +0100

    add salut_tube_dbus_offer

 src/tube-dbus.c |   68 +++++++++++++++++++++++++++++++++++++++++++-----------
 src/tube-dbus.h |    2 +
 2 files changed, 56 insertions(+), 14 deletions(-)

commit 36a0860290d959ac9a1a52d304ea4520fa635e59
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 10:26:00 2009 +0100

    factor out create_dbus_server

 src/tube-dbus.c |   58 ++++++++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 49 insertions(+), 9 deletions(-)

commit 2706d378ca1c221c1d7f2265fb2c9cc19b700978
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 29 10:23:56 2009 +0100

    tube-dbus: factor out do_close

 src/tube-dbus.c |   30 ++++++++++++++++++++----------
 1 files changed, 20 insertions(+), 10 deletions(-)

commit 5e86860ea01f997810d8453a23ff7ad97cd493ae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 16:31:52 2009 +0100

    salut-muc-manager: handle D-Bus tube channel request

 src/salut-muc-manager.c |   40 +++++++++++++++++++++++++++++++++++++++-
 1 files changed, 39 insertions(+), 1 deletions(-)

commit de9f74cfe23302ee4019df27290cca3ddf8a52a7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 16:31:29 2009 +0100

    salut_tubes_channel_tube_request: uncomment D-Bus tube new API code

 src/salut-tubes-channel.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 951bf1029b0fc3f3440d4704685cad73fa798054
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 16:31:07 2009 +0100

    tube-dbus: implement DBusTube properties

 src/tube-dbus.c |   31 ++++++++++++++++++++++++++++---
 1 files changed, 28 insertions(+), 3 deletions(-)

commit 2c0e45ce4db80e1593fdd3c49b47ffe1e5d86f92
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 16:23:57 2009 +0100

    tube-dbus: implement Channel interface methods

 src/tube-dbus.c |   78 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 files changed, 73 insertions(+), 5 deletions(-)

commit 9118a7d1c582e1a2a61ab8a433da2878a6e77a12
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 16:20:50 2009 +0100

    tube-dbus: start to implement Channel interface and DBusTube type

 src/tube-dbus.c |  267 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/tube-dbus.h |    5 +
 2 files changed, 266 insertions(+), 6 deletions(-)

commit 1efd67d7f2163e241272a23852ea10c9fab153a5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 15:38:10 2009 +0100

    tube-dbus: add tube-offered signal

 src/tube-dbus.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 822d0325633a4f42e8462a53ea1eff8fb43ca999
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 15:19:33 2009 +0100

    factor out handle_stream_tube_channel_request

 src/salut-muc-manager.c |   55 +++++++++++++++++++++++++++++------------------
 1 files changed, 34 insertions(+), 21 deletions(-)

commit 585e431972a3b2a350c3586232bca64df94883c5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 15:10:13 2009 +0100

    factor out handle_tube_channel_request

 src/salut-muc-manager.c |  107 +++++++++++++++++++++++++++--------------------
 1 files changed, 62 insertions(+), 45 deletions(-)

commit bc07157de07316cbced61c0ee088adf210a980dc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 15:04:06 2009 +0100

    make salut_tubes_channel_tube_request more generic

 src/salut-muc-manager.c   |    4 ++--
 src/salut-tubes-channel.c |   15 +++++++++++++--
 src/salut-tubes-channel.h |    3 ++-
 src/salut-tubes-manager.c |    2 +-
 4 files changed, 18 insertions(+), 6 deletions(-)

commit cd21e5214ee85732d4606b911a15af4d648e1fe4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 14:35:04 2009 +0100

    salut_muc_manager_foreach_channel_class: add D-Bus tube

 src/salut-muc-manager.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 25342065f2efd13d6655e4c9c3452617ae1b3c0f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 14:34:21 2009 +0100

    add salut_tube_dbus_channel_get_allowed_properties ()

 src/tube-dbus.c |   23 ++++++++++++++++++++++-
 src/tube-dbus.h |    2 ++
 2 files changed, 24 insertions(+), 1 deletions(-)

commit e92c60f1414ccffe5162abd3869b46d07646ba8e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jun 26 11:05:13 2009 +0100

    test-caps-tubes.py: ensure to catch the right IQ

 tests/twisted/avahi/test-caps-tubes.py |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit bc8a0f4284cc61bb060a9272d2232826a8a846fa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 14:07:52 2009 +0100

    bump tp-glib dep to 0.7.31 as we need it for new tube API

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9e221bf025b26b97b44ddeff80063c6aa2d52304
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 17:13:15 2009 +0100

    tube-stream: use TP_ERROR_* from tp-glib

 src/tube-stream.c |   16 ++++------------
 1 files changed, 4 insertions(+), 12 deletions(-)

commit b2e0aecc89725e65a8755cae3155b1df6417f9e8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 17:10:31 2009 +0100

    fix tests now that new tube API has been undrafted

 tests/twisted/avahi/test-caps-tubes.py             |   36 ++++++++++----------
 .../avahi/tubes/test-offer-private-stream-tube.py  |   22 ++++++------
 .../avahi/tubes/test-request-invalid-dbus-tube.py  |    2 +-
 .../avahi/tubes/test-two-muc-stream-tubes.py       |    4 +-
 .../avahi/tubes/test-two-private-stream-tubes.py   |    4 +-
 tests/twisted/constants.py                         |    6 ++--
 6 files changed, 37 insertions(+), 37 deletions(-)

commit 064070bc2b8c41c45cda66c9e8c0bab06d976093
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 16:58:49 2009 +0100

    undraft tube new API implementation

 src/salut-muc-manager.c   |   10 +++---
 src/salut-tubes-channel.c |   28 +++++++-------
 src/salut-tubes-manager.c |   44 ++++++++++++------------
 src/tube-stream.c         |   84 ++++++++++++++++++++++----------------------
 4 files changed, 83 insertions(+), 83 deletions(-)

commit d2bf3a5312b91211d0a705eea8a9a60af5bd3715
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 16:50:42 2009 +0100

    remove new tube API from extensions/

 extensions/Channel_Interface_Tube.xml   |  256 ---------------------------
 extensions/Channel_Type_DBus_Tube.xml   |  190 --------------------
 extensions/Channel_Type_Stream_Tube.xml |  288 -------------------------------
 extensions/Makefile.am                  |    3 -
 extensions/all.xml                      |    3 -
 5 files changed, 0 insertions(+), 740 deletions(-)

commit 45f2b3cf09da50a0966fbf6d7776fd4202eb160b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 16:31:12 2009 +0100

    check if ConnectionClosed is properly fired

 .../avahi/tubes/test-two-muc-stream-tubes.py       |   12 +++++++++++-
 .../avahi/tubes/test-two-private-stream-tubes.py   |   12 +++++++++++-
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 20497ca7fe92db648f08de3c978669b964b6473f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 16:30:52 2009 +0100

    tube-stream: fire ConnectionClosed

 src/tube-stream.c |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 44 insertions(+), 0 deletions(-)

commit 4377d940f331650aea07e02716ebb94e3cd4011f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 15:50:28 2009 +0100

    break a race in stream tube tests

 .../avahi/tubes/test-two-muc-stream-tubes.py       |   12 +++++-------
 .../avahi/tubes/test-two-private-stream-tubes.py   |   18 +++++++++---------
 2 files changed, 14 insertions(+), 16 deletions(-)

commit c2471b61837be7b223cd308104c24ac69e3b8aec
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 15:45:51 2009 +0100

    check if NewLocalConnection is properly fired

 .../avahi/tubes/test-two-muc-stream-tubes.py       |   11 ++++++++---
 .../avahi/tubes/test-two-private-stream-tubes.py   |   10 +++++++---
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 77946a9a9198635f331894202685443c280ecaff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 15:45:37 2009 +0100

    tube-stream: fire NewLocalConnection

 src/tube-stream.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit f54efd69c4633b136c230f3fbf8e59dd094e6046
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 15:16:01 2009 +0100

    tube-stream: factor out fire_new_remote_connection

 src/tube-stream.c |   37 +++++++++++++++++++++++++------------
 1 files changed, 25 insertions(+), 12 deletions(-)

commit 4954a0a45889753c04ea0214573defc475419614
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 15:07:13 2009 +0100

    check NewRemoteConnection's connection ID

 .../avahi/tubes/test-two-muc-stream-tubes.py       |    3 ++-
 .../avahi/tubes/test-two-private-stream-tubes.py   |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 8c8542eeab0a9df9db4f572a969207be50c636cf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 15:06:50 2009 +0100

    tube-stream: associate a connection ID with each tube connection

 src/tube-stream.c |   47 ++++++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 42 insertions(+), 5 deletions(-)

commit 281661c6d3277d3f50d75aad6110fdcc60cd0f48
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:51:29 2009 +0100

    fix tube tests to use latest API

 .../avahi/tubes/test-offer-private-stream-tube.py  |    2 +-
 .../avahi/tubes/test-two-muc-stream-tubes.py       |    4 ++--
 .../avahi/tubes/test-two-private-stream-tubes.py   |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit d0c589ef1523af5a875b49278f5126d0a3ef2393
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:50:13 2009 +0100

    tube-stream: fix implementation with latest DRAFT
    
    Offer() doesn't have a access_control_param argument any more.
    The NewConnection signal has been renamed NewRemoteConnection and gained
    2 new args.

 src/tube-stream.c |   14 +++++++++-----
 1 files changed, 9 insertions(+), 5 deletions(-)

commit f7fa63c667ab2aba39ebf757f16cf64379febb38
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:26:16 2009 +0100

    upgrade to latest tube DRAFT

 extensions/Channel_Interface_Tube.xml   |  184 ++++++++++++++++++++++++-------
 extensions/Channel_Type_DBus_Tube.xml   |   43 ++++++--
 extensions/Channel_Type_Stream_Tube.xml |  114 ++++++++++++++++---
 3 files changed, 279 insertions(+), 62 deletions(-)

commit ba8010f3716dc215004f11335c5ceb2f55bd0457
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:26:07 2009 +0100

    extensions/all.xml: add DBus_Error_Name

 extensions/all.xml |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5f069945c04d83fad7bebc3b958cba2e128b6922
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jun 1 11:35:53 2009 +0100

    gibber_fd_transport_block_receiving; don't crash when trying to unblock a not yet connected transport

 lib/gibber/gibber-fd-transport.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 7b8edcc7dc9c3dcb7c85358298861b17770927a4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 17:31:21 2009 +0100

    Gibber: Don't touch signals-marshal.list if it's already up to date

 lib/gibber/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 12907ebe47d79cd6712fb1fb3b111203e77ce8a5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 28 17:26:38 2009 +0100

    Don't touch signals-marshal.list if it's already up to date
    
    By touching it, every source file using salut's marshallers is rebuilt whenever you
    change any other source file, because Make always thinks the signals-marshal.h has changed.

 src/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 878be3f442b5048ff65c18ae0bcd93735fc99677
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 17:14:46 2009 +0100

    tube_stream_open: chmod the newly created UNIX socket to allow everyone to access to it if access control is localhost

 src/tube-stream.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit e34c0eba26afe5054bd2d025b09bc0bff07532ef
Merge: 4b05f90 99cc66b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:36:28 2009 +0100

    Merge commit 'jonny/shave'

commit 4b05f900a4eb43406508d828a3a93c940dc2d457
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:22:27 2009 +0100

    move tubes tests to their own subdirectory

 tests/twisted/Makefile.am                          |   16 +-
 tests/twisted/avahi/test-disabled-1-1-tubes.py     |   78 ---
 .../avahi/test-offer-private-stream-tube.py        |  368 ---------------
 .../avahi/test-request-invalid-dbus-tube.py        |   63 ---
 tests/twisted/avahi/test-request-muc-tubes.py      |  155 ------
 tests/twisted/avahi/test-tube-close.py             |   82 ----
 tests/twisted/avahi/test-two-muc-stream-tubes.py   |  499 --------------------
 .../twisted/avahi/test-two-private-stream-tubes.py |  373 ---------------
 tests/twisted/avahi/tubes-to-nonexistant-ids.py    |   50 --
 .../twisted/avahi/tubes/test-disabled-1-1-tubes.py |   78 +++
 .../avahi/tubes/test-offer-private-stream-tube.py  |  368 +++++++++++++++
 .../avahi/tubes/test-request-invalid-dbus-tube.py  |   63 +++
 .../twisted/avahi/tubes/test-request-muc-tubes.py  |  155 ++++++
 tests/twisted/avahi/tubes/test-tube-close.py       |   82 ++++
 .../avahi/tubes/test-two-muc-stream-tubes.py       |  499 ++++++++++++++++++++
 .../avahi/tubes/test-two-private-stream-tubes.py   |  373 +++++++++++++++
 .../avahi/tubes/tubes-to-nonexistant-ids.py        |   50 ++
 17 files changed, 1676 insertions(+), 1676 deletions(-)

commit 9b2ddef2db27984102e68a7c8d606cd1332fad67
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:19:54 2009 +0100

    move file transfer tests to their own subdirectory

 tests/twisted/Makefile.am                          |   46 +-
 .../avahi/file-transfer/file_transfer_helper.py    |  426 ++++++++++++++++++++
 .../file-transfer/test-ichat-receive-directory.py  |   45 ++
 .../avahi/file-transfer/test-ichat-receive-file.py |   43 ++
 .../file-transfer/test-ichat-send-file-declined.py |   50 +++
 .../avahi/file-transfer/test-ichat-send-file.py    |   55 +++
 .../file-transfer/test-receive-and-send-file.py    |   36 ++
 .../test-receive-file-and-disconnect.py            |   18 +
 ...ive-file-and-sender-disconnect-while-pending.py |   32 ++
 ...file-and-sender-disconnect-while-transfering.py |   30 ++
 .../test-receive-file-and-xmpp-disconnect.py       |   29 ++
 .../test-receive-file-cancelled-immediately.py     |   28 ++
 .../file-transfer/test-receive-file-decline.py     |   43 ++
 .../avahi/file-transfer/test-receive-file-ipv6.py  |   76 ++++
 .../file-transfer/test-receive-file-not-found.py   |   52 +++
 .../avahi/file-transfer/test-receive-file.py       |    6 +
 .../test-send-file-and-cancel-immediately.py       |   40 ++
 .../file-transfer/test-send-file-and-disconnect.py |   17 +
 .../avahi/file-transfer/test-send-file-declined.py |   41 ++
 .../avahi/file-transfer/test-send-file-ipv6.py     |   47 +++
 .../file-transfer/test-send-file-item-not-found.py |   39 ++
 .../test-send-file-provide-immediately.py          |   29 ++
 .../test-send-file-to-unknown-contact.py           |   28 ++
 .../test-send-file-wait-to-provide.py              |   43 ++
 tests/twisted/avahi/file_transfer_helper.py        |  426 --------------------
 .../twisted/avahi/test-ichat-receive-directory.py  |   45 --
 tests/twisted/avahi/test-ichat-receive-file.py     |   43 --
 .../twisted/avahi/test-ichat-send-file-declined.py |   50 ---
 tests/twisted/avahi/test-ichat-send-file.py        |   55 ---
 tests/twisted/avahi/test-receive-and-send-file.py  |   36 --
 .../avahi/test-receive-file-and-disconnect.py      |   18 -
 ...ive-file-and-sender-disconnect-while-pending.py |   32 --
 ...file-and-sender-disconnect-while-transfering.py |   30 --
 .../avahi/test-receive-file-and-xmpp-disconnect.py |   29 --
 .../test-receive-file-cancelled-immediately.py     |   28 --
 tests/twisted/avahi/test-receive-file-decline.py   |   43 --
 tests/twisted/avahi/test-receive-file-ipv6.py      |   76 ----
 tests/twisted/avahi/test-receive-file-not-found.py |   52 ---
 tests/twisted/avahi/test-receive-file.py           |    6 -
 .../avahi/test-send-file-and-cancel-immediately.py |   40 --
 .../twisted/avahi/test-send-file-and-disconnect.py |   17 -
 tests/twisted/avahi/test-send-file-declined.py     |   41 --
 tests/twisted/avahi/test-send-file-ipv6.py         |   47 ---
 .../twisted/avahi/test-send-file-item-not-found.py |   39 --
 .../avahi/test-send-file-provide-immediately.py    |   29 --
 .../avahi/test-send-file-to-unknown-contact.py     |   28 --
 .../avahi/test-send-file-wait-to-provide.py        |   43 --
 47 files changed, 1276 insertions(+), 1276 deletions(-)

commit ad1e42fcaecd1e7900b71ebf8b209718fbfbb73e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:08:22 2009 +0100

    HT_CONTACT_LIST has been renamed to HT_LIST

 tests/twisted/avahi/test-two-muc-stream-tubes.py   |    8 ++++----
 .../twisted/avahi/test-two-private-stream-tubes.py |    8 ++++----
 tests/twisted/saluttest.py                         |    6 +++---
 3 files changed, 11 insertions(+), 11 deletions(-)

commit b2c37956714f3a5053edbbcf5207bed2f31545d7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed May 27 14:07:49 2009 +0100

    sync constants.py from Gabble

 tests/twisted/constants.py |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 3bd20ac4ace4710107bd6caf22ab47d86be97a62
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu May 14 16:31:58 2009 +0100

    pass a GError to GibberUnixTransportRecvCredentialsCb

 lib/gibber/gibber-unix-transport.c             |   19 +++++++++++++++----
 lib/gibber/gibber-unix-transport.h             |    2 ++
 lib/gibber/tests/check-gibber-unix-transport.c |    2 ++
 3 files changed, 19 insertions(+), 4 deletions(-)

commit 5156c80c42f9a8f9a98aa5c2ac375669239aef81
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 12 18:11:54 2009 +0100

    gibber_unix_transport_read: call credentials cb if recvmsg went wrong

 lib/gibber/gibber-unix-transport.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 38b28458516cf25a8de530d504f948346677abc2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 12 18:07:46 2009 +0100

    rename gibber_unix_transport_wait_credentials to gibber_unix_transport_recv_credentials

 lib/gibber/gibber-unix-transport.c             |   32 ++++++++++++------------
 lib/gibber/gibber-unix-transport.h             |    6 ++--
 lib/gibber/tests/check-gibber-unix-transport.c |    2 +-
 3 files changed, 20 insertions(+), 20 deletions(-)

commit 8e27bf595edbf964d21cdcb23d992e7c037b4746
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 12 18:03:18 2009 +0100

    gibber_unix_transport_dispose: set wait_creds_cb to NULL so callback won't be called when we are disposing

 lib/gibber/gibber-unix-transport.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2acbcff6ab15ed07eb54af23440e638f2c1ac533
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 11 17:58:19 2009 +0100

    test gibber_unix_transport_wait_credentials

 lib/gibber/tests/check-gibber-unix-transport.c |   72 ++++++++++++++++++++++++
 1 files changed, 72 insertions(+), 0 deletions(-)

commit ee063a07af336663a5aa745aff8e52da968467f8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 11 17:52:13 2009 +0100

    add gibber_unix_transport_wait_credentials

 lib/gibber/gibber-unix-transport.c |  101 +++++++++++++++++++++++++++++++++++-
 lib/gibber/gibber-unix-transport.h |   26 +++++++++
 2 files changed, 126 insertions(+), 1 deletions(-)

commit 23c4c13e457636b747dc86c78bc3698943f32943
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 11 16:38:15 2009 +0100

    gibber-unix-transport: override GibberFdTransport's read

 lib/gibber/gibber-unix-transport.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 23dddb10b955327c260bd392fa451db7265f76f7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 11 16:36:47 2009 +0100

    export gibber_fd_transport_read

 lib/gibber/gibber-fd-transport.c |    4 +---
 lib/gibber/gibber-fd-transport.h |    5 +++++
 2 files changed, 6 insertions(+), 3 deletions(-)

commit da98e9b732f2cb473a9327acc8d9030a3903a074
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 11 18:00:38 2009 +0100

    add GibberUnixTransport tests to tests suite

 lib/gibber/tests/Makefile.am                   |    3 ++-
 lib/gibber/tests/check-gibber-unix-transport.c |    8 +++++---
 lib/gibber/tests/check-gibber.h                |    1 +
 lib/gibber/tests/check-main.c                  |    1 +
 4 files changed, 9 insertions(+), 4 deletions(-)

commit 4cb937c0323147b2b5f0efa4724685856ea5db70
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 8 16:45:05 2009 +0100

    add check-gibber-unix-transport.c

 lib/gibber/tests/check-gibber-unix-transport.c |  143 ++++++++++++++++++++++++
 1 files changed, 143 insertions(+), 0 deletions(-)

commit da21c2ab21423bf7830096c5970f2b55f4117e24
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri May 8 15:55:38 2009 +0100

    add gibber_unix_transport_send_credentials

 lib/gibber/gibber-unix-transport.c |   50 ++++++++++++++++++++++++++++++++++++
 lib/gibber/gibber-unix-transport.h |    3 ++
 2 files changed, 53 insertions(+), 0 deletions(-)

commit ce0cec294a73ab2499b7d592c2468d5619784eec
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 11 17:28:31 2009 +0100

    gibber-listener: create a GibberUnixTransport if the socket is a UNIX one

 lib/gibber/gibber-listener.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit a7c7ef5b8308a17679e63e3a646fe24fd65f6513
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue May 12 14:29:35 2009 +0100

    add gibber_unix_transport_new_from_fd

 lib/gibber/gibber-unix-transport.c |    9 +++++++++
 lib/gibber/gibber-unix-transport.h |    2 ++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 882943d2f884283b276c81ed1c3a608dbf81e262
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon May 4 16:02:16 2009 +0100

    coding style fix

 lib/gibber/gibber-listener.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 1192750d6bf9c11130c52b4d217f3933d70ae658
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 29 14:29:30 2009 +0100

    NEWS: document tube API change

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 4f5154d3b43933af57d85005de2d90757e7145ef
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 29 14:26:19 2009 +0100

    sync with latest tube spec DRAFT
    
    {Offer,Accept}StreamTube methods and the StreamTubeNewConnection
    signal have been renamed.

 extensions/Channel_Interface_Tube.xml              |   16 +++---
 extensions/Channel_Type_DBus_Tube.xml              |    8 ++--
 extensions/Channel_Type_Stream_Tube.xml            |   16 +++---
 src/tube-stream.c                                  |   46 ++++++++++----------
 .../avahi/test-offer-private-stream-tube.py        |    2 +-
 tests/twisted/avahi/test-two-muc-stream-tubes.py   |    8 ++--
 .../twisted/avahi/test-two-private-stream-tubes.py |    8 ++--
 7 files changed, 52 insertions(+), 52 deletions(-)

commit f3bacb9a257a1f0094d881f9b831889d463a50d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 29 13:31:15 2009 +0100

    Revert "re-enable test-disabled-1-1-tubes.py"
    
    This reverts commit b1a8441638280dbb4b0d56b7d17cfa16ac913356.

 tests/twisted/avahi/test-disabled-1-1-tubes.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c0ffbbfc831e05f18fb45884842f254b4a5bf7ce
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 29 13:30:59 2009 +0100

    Revert "disable 1-1 stream tubes"
    
    This reverts commit 2e03ee2ad64327a5427e3e299e9fc77fe45b4c40.

 src/salut-connection.c                             |    4 ----
 tests/twisted/avahi/test-caps-tubes.py             |    4 ----
 .../avahi/test-offer-private-stream-tube.py        |    4 ----
 tests/twisted/avahi/test-tube-close.py             |    7 +++----
 .../twisted/avahi/test-two-private-stream-tubes.py |    4 ----
 tests/twisted/avahi/tubes-to-nonexistant-ids.py    |    4 ----
 6 files changed, 3 insertions(+), 24 deletions(-)

commit 613fc6cc56ff7824378cead0371290515e4271ea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 29 13:46:28 2009 +0100

    test-caps-tubes.py: CONN_IFACE_CONTACT_CAPA has been renamed to CONN_IFACE_CONTACT_CAPS

 tests/twisted/avahi/test-caps-tubes.py |   56 ++++++++++++++++----------------
 1 files changed, 28 insertions(+), 28 deletions(-)

commit 99cc66bb81516ad87657e8d49e286502bba63f69
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Sat Apr 25 12:41:56 2009 +0100

    Shave salut's build.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 .gitignore                      |    3 +
 configure.ac                    |    4 ++
 data/Makefile.am                |    6 ++-
 docs/Makefile.am                |    6 ++-
 extensions/Makefile.am          |   24 ++++++-----
 lib/gibber/Makefile.am          |   12 +++--
 lib/gibber/examples/Makefile.am |    4 +-
 m4/shave.m4                     |   77 ++++++++++++++++++++++++++++++++++++++
 shave-libtool.in                |   69 ++++++++++++++++++++++++++++++++++
 shave.in                        |   79 +++++++++++++++++++++++++++++++++++++++
 src/Makefile.am                 |   14 ++++---
 tests/twisted/Makefile.am       |    4 +-
 tests/twisted/tools/Makefile.am |    8 ++-
 tools/Makefile.am               |   14 ++++---
 tools/shave.mk                  |    1 +
 15 files changed, 288 insertions(+), 37 deletions(-)

commit 5979dfce0cb08612e5c84c9c2b9aa1032989ff61
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Apr 17 15:07:52 2009 +0100

    identation fix

 src/salut-muc-manager.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 66872885f328aa0b8086aa4e0c03e69564b6d023
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:35:56 2009 +0100

    upgrade NEWS

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 8d7e5a32972cba1dfd27e60057c63d15af020a7f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:34:41 2009 +0100

    test-two-private-stream-tubes.py: check tube channels are in Requests's Channels property

 .../twisted/avahi/test-two-private-stream-tubes.py |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit a1d285b70b64c5826f68894070782e51eb67ffbd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:34:07 2009 +0100

    test-two-muc-stream-tubes.py: check tube channels are in Requests's Channels property

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 593b469d8c71150d77f9a2492779c8aec6b46f2d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:27:29 2009 +0100

    salut_muc_manager_foreach_channel: include tube channels as well

 src/salut-muc-manager.c |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit 845e54d0535b26ed25bba5527a24f9f0483a1365
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 16:03:49 2009 +0100

    use errors from constants

 tests/twisted/avahi/test-disabled-1-1-tubes.py     |    4 +++-
 ...ive-file-and-sender-disconnect-while-pending.py |    3 ++-
 .../avahi/test-request-invalid-dbus-tube.py        |    6 +++---
 .../avahi/test-send-file-to-unknown-contact.py     |    3 ++-
 4 files changed, 10 insertions(+), 6 deletions(-)

commit 351a4cb11066a069517301fe70f06e2b0975ad18
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:46:16 2009 +0100

    document tp-glib dep bump in NEWS

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 2074a2623e337ca7ca85d14271eb246f80e51397
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:45:04 2009 +0100

    Depend on tp-glib 0.7.29 for fixed errors
    
    tp-glib 0.7.29 fixed error names. By depending on it we can assert
    that the right names are used in tests.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 615a610d7414c091863f89dd16c4a92b5888bc6f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:51:40 2009 +0100

    CONN_IFACE_CONTACT_CAPA has been renamed to CONN_IFACE_CONTACT_CAPS

 tests/twisted/avahi/test-caps-file-transfer.py |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 711ed18e2d60ea47e0e6e261fa0f3223eccab751
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 15 15:41:38 2009 +0100

    sync constants.py from Gabble

 tests/twisted/constants.py |  165 ++++++++++++++++++++++++++++++++++++++------
 1 files changed, 143 insertions(+), 22 deletions(-)

commit 66d834661b77f1be352979c09b21b0782dfec108
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Apr 13 16:25:24 2009 +0100

    test-set-presence.py: check initial presence

 tests/twisted/avahi/test-set-presence.py |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 51c31c397d12a32d1565d89306031984c4f37ad2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Apr 13 16:17:52 2009 +0100

    add test-set-presence.py

 tests/twisted/Makefile.am                |    1 +
 tests/twisted/avahi/test-set-presence.py |   56 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+), 0 deletions(-)

commit 6c2832fc5aa50559625cbe4b0429c70ff64c76ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Apr 13 16:14:16 2009 +0100

    constants.py: add SimplePresence and connection status constants

 tests/twisted/constants.py |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit d91b799724aebd0ea66a0cbfd3554c48bb41dee9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Apr 13 15:21:59 2009 +0100

    salut_self_set_presence: set status_message to NULL if the msg is an empty string

 src/salut-self.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 4e6f8cd1728408452b6d3336d3b8d9c199b2b4f5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 18:28:54 2009 +0100

    start dev of 0.3.10

 NEWS         |    3 +++
 configure.ac |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 59648f659500602e96f8f08fec1466cadb05bcf0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 18:07:46 2009 +0100

    version 0.3.9

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cfce0a87726168ff367afb78c06ef315e869eba9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 18:07:31 2009 +0100

    upgrade NEWS for 0.3.9

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e436c6d08c42a613f105ed674cb4549cf78d359b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 18:19:51 2009 +0100

    add config.py to CLEANFILES

 tests/twisted/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ef66ecb46d647cbfbe6106c6429eef509399561
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 18:17:49 2009 +0100

    fix Makefile.am

 tests/twisted/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9b9f7e203ca07fea64497b768ae7487364381f5a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 14:28:32 2009 +0100

    create_transfer_offer: we have to send our own address, not the peer one

 lib/gibber/gibber-oob-file-transfer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58f802f1ad51dca4036297034412565b9757a3e1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 14:25:20 2009 +0100

    add gibber_transport_get_sockaddr

 lib/gibber/gibber-fd-transport.c |   23 +++++++++++++++++++++++
 lib/gibber/gibber-transport.c    |   12 ++++++++++++
 lib/gibber/gibber-transport.h    |    6 ++++++
 3 files changed, 41 insertions(+), 0 deletions(-)

commit 58bf16a990e3399069c9d23eac524f46b267e06a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 14:21:04 2009 +0100

    rename gibber_transport_get_sockaddr to gibber_transport_get_peeraddr

 lib/gibber/gibber-bytestream-oob.c    |    2 +-
 lib/gibber/gibber-fd-transport.c      |    8 ++++----
 lib/gibber/gibber-oob-file-transfer.c |    4 ++--
 lib/gibber/gibber-transport.c         |    6 +++---
 lib/gibber/gibber-transport.h         |    4 ++--
 src/salut-xmpp-connection-manager.c   |    2 +-
 6 files changed, 13 insertions(+), 13 deletions(-)

commit c71633bf51461a17e069e04dba28955ec7db77d8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Apr 2 11:21:32 2009 +0100

    http_server_cb: use G_GUINT64_FORMAT

 lib/gibber/gibber-oob-file-transfer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b1a8441638280dbb4b0d56b7d17cfa16ac913356
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 18:54:52 2009 +0100

    re-enable test-disabled-1-1-tubes.py

 tests/twisted/avahi/test-disabled-1-1-tubes.py |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 2e03ee2ad64327a5427e3e299e9fc77fe45b4c40
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 17:59:55 2009 +0100

    disable 1-1 stream tubes

 src/salut-connection.c                             |    4 ++++
 tests/twisted/avahi/test-caps-tubes.py             |    4 ++++
 .../avahi/test-offer-private-stream-tube.py        |    4 ++++
 tests/twisted/avahi/test-tube-close.py             |    7 ++++---
 .../twisted/avahi/test-two-private-stream-tubes.py |    4 ++++
 tests/twisted/avahi/tubes-to-nonexistant-ids.py    |    4 ++++
 6 files changed, 24 insertions(+), 3 deletions(-)

commit 3ea677c10ce94e3b01e8d4f558a9d6d4620afa4d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 16:34:20 2009 +0100

    upgrade news

 NEWS |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 61bf2d5c7d2993761392aa698df79e7a5ddc1c67
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 18:19:31 2009 +0100

    ft-manager: drop FT_CAPA_UNKNOWN and use FT_CAPA_SUPPORTED instead
    
    FT_CAPA_UNKNOWN had a value of 0 which appeared as 'NULL' in the
    caps-channel-manager. This is misleading and the change in the contact
    capabilities is not detected as NULL is supposed to be used when there
    is no capability.

 src/salut-ft-manager.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 80e3f69459d14389150a708748b5307af12ba70b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 16:23:53 2009 +0100

    test-receive-file-ipv6: use check_ipv6_enabled

 tests/twisted/avahi/test-receive-file-ipv6.py |   15 ++-------------
 1 files changed, 2 insertions(+), 13 deletions(-)

commit 96a99c02b32a35d0ca304a7f1793b06b8c94282c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 16:23:40 2009 +0100

    avahitest.py: add check_ipv6_enabled

 tests/twisted/avahitest.py |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit d14f7979029b70d4b33a5ced51438f4316126d31
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 16:09:47 2009 +0100

    test-receive-file-ipv6.py: check if our IPv6 service has been actually announced and skip test if it doesn't

 tests/twisted/avahi/test-receive-file-ipv6.py |   34 ++++++++++--------------
 1 files changed, 14 insertions(+), 20 deletions(-)

commit fc6fe368cee054f22f567bcd1fb52aa5f5b02d19
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 14:16:24 2009 +0100

    test-receive-file-ipv6.py: skip test if Salut doesn't see service as we assume that's because IPv6 is disabled

 tests/twisted/avahi/test-receive-file-ipv6.py |   26 +++++++++++++++++++++---
 1 files changed, 22 insertions(+), 4 deletions(-)

commit 0ff62dfd49dbc4c6c121e8f9554ed1e0870b29b2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 13:12:59 2009 +0100

    disable test-receive-file-ipv6.py

 tests/twisted/avahi/test-receive-file-ipv6.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 1bbb6f3eea3413871e1e8d8903f39584ce836560
Merge: 2519b4e 9f2d203
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 12:48:29 2009 +0100

    Merge branch 'master' into ft-ipv6-REBASED
    
    Conflicts:
    	lib/gibber/gibber-oob-file-transfer.c

commit 9f2d2036fe8329ddc0807f8ec7e3c20e20c6c3b9
Merge: 3966f2d 511af65
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 12:14:48 2009 +0100

    Merge branch 'news'
    
    Conflicts:
    	NEWS

commit 3966f2d6d03265e2196e53e93430e6c72adadff9
Merge: 57b23ff 2ae5a4a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 12:05:58 2009 +0100

    Merge branch 'master' into ft-capa-REBASED

commit 2ae5a4a6c572294a85b673f7245d28bb89eedbca
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Apr 1 11:59:15 2009 +0100

    fix typo

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 00197f1babd369e098b1269f514bd4cd434e5757
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 31 12:33:04 2009 +0100

    upgrade NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 511af655fe31725a38eafe86179914329344c6a8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 31 13:02:50 2009 +0100

    new stream tube API is implemented now

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 28ea01260e704d3fa17aa78dd9f2b3f113943a81
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 31 12:32:57 2009 +0100

    fix typo in NEWS

 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 57b23ffa93ca7412bc571fa3e76f00dfaa8fcd36
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 31 10:15:22 2009 +0100

    upgrade NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7a902343e90f5c867f590803c0a8d7c32029805a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 17:55:55 2009 +0100

    test-caps-tubes: use check_caps from caps_helper

 tests/twisted/avahi/test-caps-tubes.py |   17 +----------------
 1 files changed, 1 insertions(+), 16 deletions(-)

commit 0bacab68ea46e54ff3ea27ac026284ef2d1ec334
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 17:55:36 2009 +0100

    test-caps-self: use check_caps from caps_helper

 tests/twisted/avahi/test-caps-self.py |   17 +----------------
 1 files changed, 1 insertions(+), 16 deletions(-)

commit 086e98897a958c573eafec569ff56e95c8d54ec0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 17:55:15 2009 +0100

    caps_helper: add check_caps

 tests/twisted/avahi/caps_helper.py |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit e2a2a58392bdaa235853c23739ab03832e365c43
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 17:35:50 2009 +0100

    set self caps before the first announce of the service

 src/salut-avahi-self.c |   61 ++++++++++++++++++++++++++---------------------
 src/salut-connection.c |   15 +++++------
 2 files changed, 41 insertions(+), 35 deletions(-)

commit 1e7e93c985e3b35064654805135f2b20bb682560
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 17:20:08 2009 +0100

    capabilities_get_features: prepend features as the order doesn't matter

 src/salut-capabilities.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1878875fdf6134b3f81c4f4950f1ad04a1cd58da
Merge: 0c910f5 129b5de
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 17:13:21 2009 +0100

    Merge branch 'master' into ft-capa-REBASED
    
    Conflicts:
    	src/salut-disco.c
    	tests/twisted/constants.py

commit 0c910f519fc9f3a44e0759f6acfe8cbb93e4dbbc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 16:50:34 2009 +0100

    announce_self_caps: no need of the if branch

 src/salut-connection.c |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 2dd8f2f87a4b7f443f4dd0540c1916cf92cb5175
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 30 16:48:43 2009 +0100

    implement salut_ft_manager_caps_diff

 src/salut-ft-manager.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 48009c5a0361c5bc0f11e642d67f2ad5f88b1407
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 27 16:01:00 2009 +0000

    don't keep a ref on priv->msg
    
    New version of libsoup unref unprocessed message when disposing the
    session so there is no need to unref it ourself any more.

 lib/gibber/gibber-oob-file-transfer.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 129b5deef9809366a595f0ed4a201b2629796b45
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 27 14:24:46 2009 +0000

    Raise NotImplemented on unknown address types/access-control mechs

 src/salut-file-transfer-channel.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1e1ad2440b856a117e3e1b6a2836e06da04375df
Merge: 4d6b838 dd20d12
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 27 15:02:10 2009 +0000

    Merge branch 'fix-config'

commit 4d6b838c81ecbb5315f536fd45af145a86b93d5b
Merge: 52e8ff6 aca0ff2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 27 14:51:34 2009 +0000

    Merge branch 'trivia'

commit dd20d120e8e104fc62fece5e044030d12c67b435
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 27 14:48:48 2009 +0000

    re-generate config.py when Makefile is changed
    
    so PACKAGE_STRING is properly updated

 tests/twisted/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52e8ff6d0fe136b43f03b3a0ebdf59e5bbb91b74
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 23 18:24:00 2009 +0000

    gibber_fd_transport_send: returns an error if something went wrong

 lib/gibber/gibber-fd-transport.c |   21 ++++++++++++---------
 1 files changed, 12 insertions(+), 9 deletions(-)

commit aca0ff24f552d16dd2a496812d75446d67091ad7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 18 15:11:19 2009 +0000

    gibber-listener: check getsockname return value

 lib/gibber/gibber-listener.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 53553fadffa6c3d8a1ea37ac62fffedc76cd56cb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 18 12:06:47 2009 +0000

    saluttest.py: import constants as cs

 tests/twisted/saluttest.py |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 28da6adeaff288ebc9a07aaaa4ff8ef7386a7b12
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 18 12:01:05 2009 +0000

    saluttest.py: remove useless imports

 tests/twisted/saluttest.py |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 82e52313e102aa4f253958cd0c9bb3534be3f08f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 17 14:24:07 2009 +0000

    upgrade NEWS

 NEWS |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 994c8ef8961d257653a91f116ae69b4094bde3e5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 17 14:22:45 2009 +0000

    {Accept,Provide}File have to store the unix socket address using an 'ay'

 src/salut-file-transfer-channel.c                  |   52 ++++++++-----------
 tests/twisted/avahi/file_transfer_helper.py        |    4 +-
 ...ive-file-and-sender-disconnect-while-pending.py |    2 +-
 3 files changed, 25 insertions(+), 33 deletions(-)

commit 55b2398e5dbcac602ab617df43dfeeb30538e98d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 16 15:24:36 2009 +0000

    salut_ft_manager_handle_request: display the id of the contact in the debug msg instead of his handle

 src/salut-ft-manager.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit d87fdc188f34d28500baf590041849b165c1c43f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 16 15:21:55 2009 +0000

    salut_file_transfer_channel_constructor: add a debug msg telling some info about the FT

 src/salut-file-transfer-channel.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 109dddd5548e38d32dbb5f24ca146bba51636ccc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Mar 16 14:55:27 2009 +0000

    generate FT channel path in the channel constructor and using its address to ensure it's unique

 src/salut-file-transfer-channel.c |    7 +++----
 src/salut-file-transfer-channel.h |    4 ++--
 src/salut-ft-manager.c            |   30 ++----------------------------
 3 files changed, 7 insertions(+), 34 deletions(-)

commit dd160092893270c699bf299f9c924d726db16823
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 16:02:51 2008 +0000

    file-transfer-channel: make most of the D-Bus properties construct only

 src/salut-file-transfer-channel.c |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

commit 4968bb1ca5bda27d0b3c74959ff349bdc153319e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 15:57:37 2008 +0000

    pass all the properties to salut_file_transfer_channel_new

 src/salut-file-transfer-channel.c |   18 +++++++++++++++++-
 src/salut-file-transfer-channel.h |    5 ++++-
 src/salut-ft-manager.c            |   16 +++-------------
 3 files changed, 24 insertions(+), 15 deletions(-)

commit 33b89cdaf4f69ce237afd5d500e52e9b4989eea3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 15:45:41 2008 +0000

    replace salut_file_transfer_channel_received_file_offer by salut_file_transfer_channel_new_from_stanza

 src/salut-file-transfer-channel.c |   90 ++++++++++++++++++++----------------
 src/salut-file-transfer-channel.h |   10 +++--
 src/salut-ft-manager.c            |   14 +-----
 3 files changed, 59 insertions(+), 55 deletions(-)

commit 69b6be49f3328b610d60934a67aedec827a8098a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 15:30:35 2008 +0000

    remove salut_ft_manager_new_channel

 src/salut-file-transfer-channel.c |    2 +-
 src/salut-file-transfer-channel.h |    2 +-
 src/salut-ft-manager.c            |  127 ++++++++++++++-----------------------
 3 files changed, 49 insertions(+), 82 deletions(-)

commit 6012c312cc5dee4d821d260bebd20f1e7e2a438c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 15:14:58 2008 +0000

    factor out salut_ft_manager_channel_created and call it in message_stanza_callback

 src/salut-ft-manager.c |   39 ++++++++++++++++++++++++++-------------
 1 files changed, 26 insertions(+), 13 deletions(-)

commit 460795ae5c101656517edb8dcc4ecc5e66ff2381
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 14:52:46 2008 +0000

    ft-manager: move debug output of the object path to generate_object_path

 src/salut-ft-manager.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit af44ed9db1c00993df842714d5078de364fd13f5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 14:51:00 2008 +0000

    salut_ft_manager_handle_request: add debug output

 src/salut-ft-manager.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 488bb77e45ff518e7199220d3c61e363d14442ca
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 14:48:38 2008 +0000

    salut_ft_manager_new_channel: factor out generate_object_path

 src/salut-ft-manager.c |   18 ++++++++++++++----
 1 files changed, 14 insertions(+), 4 deletions(-)

commit 6afff67765e457b65010079eaa712078f727ed20
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 14:35:18 2008 +0000

    salut_ft_manager_new_channel: use salut_file_transfer_channel_new

 src/salut-ft-manager.c |   11 ++---------
 1 files changed, 2 insertions(+), 9 deletions(-)

commit d9ef55092b1a54aaeb21f084f6ff0621fc56d3a6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Nov 21 14:34:28 2008 +0000

    add salut_file_transfer_channel_new

 src/salut-file-transfer-channel.c |   20 ++++++++++++++++++++
 src/salut-file-transfer-channel.h |    8 ++++++++
 2 files changed, 28 insertions(+), 0 deletions(-)

commit 002b7d9b0ee77772f5292b2c4a9b1d14420ffadc
Merge: 6e1cacb 0e7d3ff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 16:10:14 2009 +0000

    Merge branch 'master' into muc-stream-tube-new-api-REBASED

commit 6e1cacb84906c06b1423f2da27914182d7918806
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 14:23:54 2009 +0000

    iq_tube_request_cb: destroy newly created tubes channel if the tube channel creation failed

 src/salut-tubes-manager.c |   20 +++++++++++++++-----
 1 files changed, 15 insertions(+), 5 deletions(-)

commit 29e1e703a1217d86d637e0b47b9e1b17734dce33
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 14:22:28 2009 +0000

    iq_tube_request_cb: don't leak parameters if tubes channel creation failed

 src/salut-tubes-manager.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c0caaad79fca2ba2ad25eccb2b865f860624f0e6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 14:06:38 2009 +0000

    iq_tube_request_cb: announce the tubes channel only if it has just been created

 src/salut-tubes-manager.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit b2f8a6538b4d4f3dc59863d108dd40c0210fa50b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 13:55:48 2009 +0000

    test-two-private-stream-tubes.py: break potential races

 .../twisted/avahi/test-two-private-stream-tubes.py |   36 ++++++++++---------
 1 files changed, 19 insertions(+), 17 deletions(-)

commit e941c97b0dd1c9cd1d3ad7b4e2665fc7b25072f8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 13:44:59 2009 +0000

    don't assume server-data-received and client-data-received events are ordered

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

commit a661360a3da7c7cde0b7298d273ba111bd533c01
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 13:39:31 2009 +0000

    test-two-muc-stream-tubes: break potential races

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   20 ++++++++++++--------
 1 files changed, 12 insertions(+), 8 deletions(-)

commit 71f36f951a170d787f69f2948d3a0d3a1571b8e7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Mar 11 13:34:20 2009 +0000

    test-two-muc-stream-tubes.py: wrap long lines

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   79 ++++++++++++++--------
 1 files changed, 51 insertions(+), 28 deletions(-)

commit e086f961cbf832b3b59697d7c74dd72dcaa6f149
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 10 17:29:48 2009 +0000

    create_tubes_channel: rename text_created and txt_created variables to avoid confusion

 src/salut-muc-manager.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit ea596f87fcc5d3c34d29353d2df7c769a3f803d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 10 17:17:34 2009 +0000

    identation fix

 src/tube-stream.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 0e7d3ff6a8d1151d66ceb4f1197640f348ff3c11
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 10 12:54:20 2009 +0000

    gibber_fd_transport_set_fd: don't add watcher if transport was blocked

 lib/gibber/gibber-fd-transport.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit ad13ab6aef9ed00cf29429ca9b2167d256dcf5b4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Mar 6 16:06:28 2009 +0000

    gibber_tcp_transport_connect is now async

 lib/gibber/gibber-tcp-transport.c |  202 ++++++++++++++++++++++++++++---------
 1 files changed, 153 insertions(+), 49 deletions(-)

commit 0edb6bb5e8025ff5cef8319b00e9eb31ee34099e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Mar 3 15:00:27 2009 +0000

    gibber-fd-transport: don't close transport when we get HUP as the buffers can be not empty

 lib/gibber/gibber-fd-transport.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 0951c7c4f15c9faad1840dbff1dc17ba2812c997
Merge: 19f26ce b62872c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 26 19:19:47 2009 +0000

    Merge branch 'requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED'

commit b62872c802e7e01407d20dbb39f85bbe48bc4a1e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 26 19:17:31 2009 +0000

    upgrade NEWS

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 19f26ce7441e04462ef4b734e32e3939355aa0cd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Feb 20 12:22:23 2009 +0000

    Fix byte ordering of port in GibberListener
    
    Signed-off-by: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

 lib/gibber/gibber-listener.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 269926cb231b176ef2c79dd8b923dd9da6bf1f57
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 18 18:31:07 2009 +0000

    caps_req_stanza_callback: no need to re-compute the hash, it's already stored in SalutSelf

 src/salut-disco.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit e1bc1d3e47ee87fa31ed0fb57321d338ef089f4f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 18 18:27:49 2009 +0000

    caps_req_stanza_callback: don't leak SalutSelf

 src/salut-disco.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 89f67c9d8ce80d4ae49aae1476bd7d96e28056b1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 18 18:21:02 2009 +0000

    caps_req_stanza_filter: early return when sending not-found

 src/salut-disco.c |  169 +++++++++++++++++++++++++++-------------------------
 1 files changed, 88 insertions(+), 81 deletions(-)

commit 7f256151f0eef65002e4cbdbd7fbe5427c290e0e
Merge: 3a2743e 51efded
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 18 18:15:44 2009 +0000

    Merge branch 'master' into requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED

commit 3a2743ed8051482d85804f75eb11b26b91c3dc95
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 18:06:33 2009 +0000

    caps_req_stanza_callback: assert than node is not NULL as the filter already checked it was not

 src/salut-disco.c |   23 ++++++++---------------
 1 files changed, 8 insertions(+), 15 deletions(-)

commit 8556f673e3cf7ab44d6c1c4323764bd2f3d205a4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 18:01:19 2009 +0000

    caps_req_stanza_callback: use g_str_has_prefix

 src/salut-disco.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 51efded5b03ed12cc9c24d94526af03178a82cb6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:34:11 2009 +0000

    Revert "re-enable test-disabled-1-1-tubes.py"
    
    This reverts commit 61b3cdc8b3729b984d544824880b8cf1f58658cc.

 tests/twisted/avahi/test-disabled-1-1-tubes.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d35d234df9f16d3401b9b8a71ec33b73c67c0fe1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:34:04 2009 +0000

    Revert "tubes-to-nonexistant-ids.py: disable test for now as 1-1 stream tubes have been disabled"
    
    This reverts commit 7b89fa34120cf6e271f2495ea3ea5183ae09a31e.

 tests/twisted/avahi/tubes-to-nonexistant-ids.py |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit fe221417bf8d5c398560bea6acec84c22f28e82d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:33:58 2009 +0000

    Revert "test-two-tubes.py: disable test for now as 1-1 stream tubes have been disabled"
    
    This reverts commit abba1930b6a1b5f25448dccda911955655acd716.

 tests/twisted/avahi/test-two-tubes.py |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 9e70d9a583b33f0b686658339fe3331f201b0072
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:33:51 2009 +0000

    Revert "test-tube.py: disable test for now as 1-1 stream tubes have been disabled"
    
    This reverts commit e7a51d8bf5a6b895e205665887c638b0c50678fe.

 tests/twisted/avahi/test-tube.py |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit cdc2386a32c54e3957e8942634b7fcd816b5caf9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:33:43 2009 +0000

    Revert "test-tube-close.py: disable test for now as 1-1 stream tubes have been disabled"
    
    This reverts commit 44646bdb61e5cef2ba11df02ef98cf0ce8a151c0.

 tests/twisted/avahi/test-tube-close.py |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 80768e1333c13f12da875075affd8d1a4048eab0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:33:31 2009 +0000

    Revert "Disable 1-1 stream tube for now as we're not happy with the protocol"
    
    This reverts commit a690db8c214f02e26d68a138751c8738d4ffa879.

 src/salut-connection.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit a77622c4e78fb67406d045260693f1d1c19dbc5f
Merge: 15c21b8 79a7acd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 17:31:17 2009 +0000

    Merge branch 'master' into requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED
    
    Conflicts:
    
    	extensions/Makefile.am

commit 79a7acd7e4fb70404407c0c8df05a8b6778684e2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 16:26:52 2009 +0000

    version 0.3.8.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0643834b9ee30204b049b716ae22c25ba86f49f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 16:17:03 2009 +0000

    mesh.py and simplemeshtest.py should be in lib/gibber/tests

 lib/gibber/tests/mesh.py           |  235 ++++++++++++++++++++++++++++++++++++
 lib/gibber/tests/simplemeshtest.py |  101 +++++++++++++++
 tests/Makefile.am                  |    2 -
 tests/mesh.py                      |  235 ------------------------------------
 tests/simplemeshtest.py            |  101 ---------------
 5 files changed, 336 insertions(+), 338 deletions(-)

commit a2b96a7a3409e480a62d18a4682936369b974dcd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 16:01:00 2009 +0000

    version 0.3.8

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit eac547c448e12fdc6935f123833cf1676d8bb4dc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:39:18 2009 +0000

    Upgrade NEWS
    
    Don't mention StreamTube new API as it's currently implemented only in
    1-1 tubes which have been disabled for the release.

 NEWS |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 61b3cdc8b3729b984d544824880b8cf1f58658cc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:21:20 2009 +0000

    re-enable test-disabled-1-1-tubes.py

 tests/twisted/avahi/test-disabled-1-1-tubes.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7b89fa34120cf6e271f2495ea3ea5183ae09a31e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:19:43 2009 +0000

    tubes-to-nonexistant-ids.py: disable test for now as 1-1 stream tubes have been disabled

 tests/twisted/avahi/tubes-to-nonexistant-ids.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit abba1930b6a1b5f25448dccda911955655acd716
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:19:26 2009 +0000

    test-two-tubes.py: disable test for now as 1-1 stream tubes have been disabled

 tests/twisted/avahi/test-two-tubes.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e7a51d8bf5a6b895e205665887c638b0c50678fe
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:19:02 2009 +0000

    test-tube.py: disable test for now as 1-1 stream tubes have been disabled

 tests/twisted/avahi/test-tube.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 44646bdb61e5cef2ba11df02ef98cf0ce8a151c0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:18:48 2009 +0000

    test-tube-close.py: disable test for now as 1-1 stream tubes have been disabled

 tests/twisted/avahi/test-tube-close.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit a690db8c214f02e26d68a138751c8738d4ffa879
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 11:18:09 2009 +0000

    Disable 1-1 stream tube for now as we're not happy with the protocol

 src/salut-connection.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7da5f7ffa24b3ecdca3ef48abb6c8a4bd5be63b2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 10:40:49 2009 +0000

    file_transfer_helper.py: FileTransfer is not a DRAFT anymore

 tests/twisted/avahi/file_transfer_helper.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5f6a932bd5d8ab6846789d99a1d0afd36e67ac3e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 10:40:33 2009 +0000

    salut-ft-manager: use tp-glib instead of extension's generated code

 src/salut-ft-manager.c |   48 ++++++++++++++++++++++++------------------------
 1 files changed, 24 insertions(+), 24 deletions(-)

commit 1769eacb7b5bcafed55be78e02d781dbbb6ef9bb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 10:40:20 2009 +0000

    salut-file-transfer-channel: use tp-glib instead of extension's generated code

 src/salut-file-transfer-channel.c |  144 ++++++++++++++++++------------------
 1 files changed, 72 insertions(+), 72 deletions(-)

commit fc0b134f481f9d99e279578e44ea85dba0304708
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 10:39:35 2009 +0000

    bump telepathy-glib dependency to 0.7.23 as we need it for FT

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 48d3249342e77e0d6f4291d451157200cd75e5a8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 10:38:27 2009 +0000

    remove Channel_Type_File_Transfer from extensions

 extensions/Channel_Type_File_Transfer.xml |  513 -----------------------------
 extensions/Makefile.am                    |    1 -
 extensions/channel.xml                    |    1 -
 3 files changed, 0 insertions(+), 515 deletions(-)

commit 9a88083a761c41d4150336b3cb646993c6d3976c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 10:26:15 2009 +0000

    trivial style fix

 src/salut-tubes-channel.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8908e33b6cf637d29b2e3eb7d56725aba713c746
Merge: 9bae8bf af7c215
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 17 10:20:09 2009 +0000

    Merge branch 'master' into muc-stream-tube-new-api-REBASED

commit ce49aa303cd7ebfc45cf6723ff12ba673c44b527
Merge: fb661cf 15c21b8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 15:55:41 2009 +0000

    Merge branch 'requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED' into ft-capa-REBASED

commit 15c21b8180b8c782d90e3a1a58437c2b0ecacbe8
Merge: 8695678 af7c215
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 15:55:11 2009 +0000

    Merge branch 'master' into requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED

commit af7c215cfc4ddd45f8abd67ba90a7ef2fdef000c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 13:28:57 2009 +0000

    gitignore: sasl-test.db has been moved to gibber tests

 .gitignore |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fb661cfc7e882a9d1d9f0441789c0d20c86c1e8b
Merge: bb4b9b2 8695678
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 13:15:47 2009 +0000

    Merge branch 'requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED' into ft-capa-REBASED

commit 8695678c5c6792ac1b055dd121e3c68caec1ff48
Merge: beba2ea df8e4cd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 13:02:05 2009 +0000

    Merge branch 'master' into requestotron-tubes-and-caps-with-complex-types-with-gibber-listener-REBASED
    
    Conflicts:
    
    	.gitignore

commit 9bae8bf3986cf75f932757786db7ca87d6398f5e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 12:55:57 2009 +0000

    add salut_tube_stream_channel_get_allowed_properties accessor instead of having the array in the header

 src/salut-muc-manager.c   |    4 ++--
 src/salut-tubes-manager.c |    4 ++--
 src/tube-stream.c         |   12 ++++++++++++
 src/tube-stream.h         |    9 ++-------
 4 files changed, 18 insertions(+), 11 deletions(-)

commit 4175899c2dfb1350061be3212a2b51577f8350b0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 12:46:02 2009 +0000

    salut_tubes_channel_offer_stream_tube: no need to call salut_tubes_channel_send_iq_offer, it's done by salut_tube_stream_offer

 src/salut-tubes-channel.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit e7ac960d5cca8ba0698dd28b08ba7b42d3ae05f4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 12:45:42 2009 +0000

    salut_tube_stream_offer_stream_tube: use salut_tube_stream_offer

 src/tube-stream.c |   28 +++++++++++-----------------
 1 files changed, 11 insertions(+), 17 deletions(-)

commit a96aa703dcb7ab2ce49164b0a0bccec89a507f1d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 12:26:06 2009 +0000

    test-two-muc-stream-tubes: wait that we have joined the muc before offering the tube

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 814edf3b1d0fd61dceede86f2c14862f822bea05
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:50:30 2009 +0000

    test-two-private-stream-tubes: use new tube API

 .../twisted/avahi/test-two-private-stream-tubes.py |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 7fdb2aa6a40c5ac6e566a59dc5a850d2667d7f53
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:28:03 2009 +0000

    test-two-muc-stream-tubes: check if Parameters are announced in incoming tube

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 46db9432b8569d5057c6e1c96b91ad21cb46635b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:26:30 2009 +0000

    test-two-muc-stream-tubes.py: use new tube API

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit ea73ebcdc7e3f427422e79f11d99fb3256c43063
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:26:11 2009 +0000

    send_channel_iq_tube: check if channel has been offered before adding it

 src/salut-tubes-channel.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 86d90dd357ee695f550c49671c650885ba9ebe41
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:18:27 2009 +0000

    tube-iface: parameters property is not read-only any more

 src/tube-iface.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 17db9736cedb07d5f631d13f1bc29b290c023992
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:17:14 2009 +0000

    remove Parameters from salut_stream_tube_channel_allowed_properties

 src/tube-stream.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 612e3ff761253f9e49ea9447afec05b0366af643
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:16:49 2009 +0000

    salut_muc_manager_request: don't pass parameters to salut_tubes_channel_tube_request any more

 src/salut-muc-manager.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit d31431636354c6faa48a872e6c59f937f2c3a559
Merge: 23ad6e2 df8e4cd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 12 11:14:53 2009 +0000

    Merge branch 'master' into muc-stream-tube-new-api-REBASED
    
    Conflicts:
    
    	src/salut-tubes-manager.c
    	tests/twisted/avahi/test-offer-private-stream-tube.py

commit df8e4cdc8c8d2efe62a2410762424b4ac61ca077
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 17:09:37 2009 +0000

    tube-stream: Parameters property has to be in channel-properties only in incoming tubes

 src/tube-stream.c |   48 +++++++++++++++++++++++++++++++++++-------------
 1 files changed, 35 insertions(+), 13 deletions(-)

commit 1ddcb3e8d6ef8884755f836e53ca96cf6f2244b6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 17:03:10 2009 +0000

    test-tube: don't pass Parameters when creating the tube

 tests/twisted/avahi/test-tube.py |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 48100b9ce60ffb39651a66f13c35034b9c76ad55
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 17:02:48 2009 +0000

    tubes-manager: Parameters is not an allowed property any more

 src/salut-tubes-manager.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f5b41892b5d92d5e79fcf5cf3b339e9ed103f199
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 17:01:40 2009 +0000

    remove parameters argument from salut_tubes_channel_tube_request

 src/salut-tubes-channel.c |   17 +++++++----------
 src/salut-tubes-channel.h |    2 +-
 src/salut-tubes-manager.c |    7 +------
 3 files changed, 9 insertions(+), 17 deletions(-)

commit 840807dc6313ef40114a76ac2a35321b67978e0e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 16:58:21 2009 +0000

    tube-stream: salut_tube_stream_offer_stream_tube now takes parameters

 src/tube-stream.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0f1d05ccb1d861f0e8a9570dcbb483e6a7b4f9c9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 16:57:58 2009 +0000

    tube-stream: Parameters is now ready only

 src/tube-stream.c |   39 ++-------------------------------------
 1 files changed, 2 insertions(+), 37 deletions(-)

commit a89d4182df91ead00d374e8de946220a00b23a31
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 17:01:56 2009 +0000

    upgrade to latest tube draft

 extensions/Channel_Interface_Tube.xml   |   33 +++++++++++++++++++++++++-----
 extensions/Channel_Type_DBus_Tube.xml   |    8 +++++++
 extensions/Channel_Type_Stream_Tube.xml |    8 +++++++
 3 files changed, 43 insertions(+), 6 deletions(-)

commit b4ee16c24028ea3f14392f970948edaee0b0cad0
Merge: 74ae0df b795655
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Feb 11 16:24:23 2009 +0000

    Merge branch 'upgrade-tube-spec-REBASED'

commit bb4b9b202dc5e8de3fe8ed56204e7aab33db6066
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 10 14:13:18 2009 +0000

    Revert "SalutXmppConnectionManager: connect to TpSvcConnection::status-changed and close streams"
    
    This reverts commit 38b693ab35ccee5595f5c92b4537f7ac1e19e837.
    
    XCM is disposed when closing the connection so there is no need to do
    that.

 src/salut-xmpp-connection-manager.c |   75 ++++++-----------------------------
 1 files changed, 13 insertions(+), 62 deletions(-)

commit 837724ee73d3162221b7fd18a628b9baf2a8c432
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 10 13:55:49 2009 +0000

    test-caps-tubes: caps have been re-ordered

 tests/twisted/avahi/test-caps-tubes.py |   66 +++++++++++++------------------
 1 files changed, 28 insertions(+), 38 deletions(-)

commit 174b322c2d603702e5ce57bdf37b335f03d97b31
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 10 13:54:50 2009 +0000

    constants.py: add CHANNEL_TYPE_DBUS_TUBE and DBUS_TUBE_SERVICE_NAME

 tests/twisted/constants.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ea9ec29f2b872b63e92a759a8260a2bff6dc9aff
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 10 13:09:10 2009 +0000

    config.py depends on Makefile so is re-generated when version is changed

 tests/twisted/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fa0c74c6d48d10b491ff6289a86efe3521a13508
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 13:30:45 2009 +0000

    test-caps-tubes.py: file transfer capa is announced now

 tests/twisted/avahi/test-caps-tubes.py |   35 ++++++++++++++++++++++---------
 1 files changed, 25 insertions(+), 10 deletions(-)

commit f3f9e0f8275c55660aead77159ac11f8b849ce4a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 12:38:28 2009 +0000

    test-caps-file-transfer: check self capa

 tests/twisted/avahi/test-caps-file-transfer.py |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 34d58797c7ec5e9bf9a2bb4fd424f51fec85c6a5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 12:38:12 2009 +0000

    salut_ft_manager_get_contact_caps: self-handle always support file transfer

 src/salut-ft-manager.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit f8e2ecc169540fefc6335dfe7bf188453886ca62
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 12:30:21 2009 +0000

    check if Salut advertise OOB features

 tests/twisted/avahi/test-caps-file-transfer.py |   31 ++++++++++++++----------
 1 files changed, 18 insertions(+), 13 deletions(-)

commit 88c8be519241945649931b3eb33269ff5e1e6c0d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 11:54:52 2009 +0000

    test-caps-file-transfer.py: check if FT capa is announced if contact doesn't announce any capa

 tests/twisted/avahi/test-caps-file-transfer.py |   31 +++++++++++++++++++++++-
 1 files changed, 30 insertions(+), 1 deletions(-)

commit fd6e865d50f13a59f75c80541a2b8e2e18c43324
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 11:54:16 2009 +0000

    salut_tubes_manager_parse_caps: node can be NULL now

 src/salut-tubes-manager.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ee6c642325eef63c40a69e22839ca8497383835a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 11:53:54 2009 +0000

    salut_ft_manager_parse_caps: say that FT capa is unknown if there is no capa announced

 src/salut-ft-manager.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 488ee4bd9794fc98fb1f4273e135a98f0d4fa57f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 11:51:44 2009 +0000

    salut_presence_cache_process_caps: get caps from managers if there is no
    capa announced so we announce the default ones

 src/salut-presence-cache.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 773266729e5c05fba4b3a5b00301d99cefa3679a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 11:40:54 2009 +0000

    presence-cache: factor out create_per_channel_manager_caps

 src/salut-presence-cache.c |   53 +++++++++++++++++++++++++++----------------
 1 files changed, 33 insertions(+), 20 deletions(-)

commit e372487162c77a0e84a793ecebd59777c4e5b706
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 10:38:39 2009 +0000

    test-caps-file-transfer: test contact without FT capa

 tests/twisted/avahi/test-caps-file-transfer.py |   45 +++++++++++++++++++++++-
 1 files changed, 44 insertions(+), 1 deletions(-)

commit 5c2f9632c8f3d62c266abb7439349552d74ad41a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Jan 26 10:33:44 2009 +0000

    test-caps-file-transfer.py: fix contact name

 tests/twisted/avahi/test-caps-file-transfer.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b79c6c0a63252e80ce15c86aef062849b641399d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 17:25:11 2009 +0000

    add test-caps-file-transfer.py to tests suite

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c3d03ec13c1bdbd286f7dcd7870202197118cf5e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 17:24:57 2009 +0000

    add test-caps-file-transfer.py

 tests/twisted/avahi/test-caps-file-transfer.py |  174 ++++++++++++++++++++++++
 1 files changed, 174 insertions(+), 0 deletions(-)

commit b4bed753fab4783f91dfaaaf1e3764e74bb0afe1
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 17:24:06 2009 +0000

    ft-manager: add FT's channel class if contact announces to support OOB

 src/salut-ft-manager.c |  132 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 131 insertions(+), 1 deletions(-)

commit b5c0e80bac6c87b37747323b1a0ce478769a36db
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 17:15:10 2009 +0000

    constants.py: add FT constants

 tests/twisted/constants.py |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit dbe9fb87538d57837463efe715dc0567b6e95976
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 15:19:51 2009 +0000

    saluttest.py: OOB is now a fixed capa

 tests/twisted/saluttest.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7ab7f90a19d385999cc6ac46a6f1da4f14cc949e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 15:19:21 2009 +0000

    advertiste OOB as a fixed capability

 src/salut-capabilities.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit bbea5f253dcaf1c7d6d1a3ca8a54f7861bcbb791
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 15:15:26 2009 +0000

    salut_disco_dispose: unref the XCM after canceling request as we could need it to release a connection

 src/salut-disco.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit e7fdafa70a4197ef2e0497aecc8ff6b362f8ee5f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 15:10:08 2009 +0000

    gibber_oob_file_transfer_is_file_offer: check if url is NULL before looking for its content

 lib/gibber/gibber-oob-file-transfer.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 10bac297338302397a559f27f067a825b00302e4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 15:03:28 2009 +0000

    test-caps-tubes: use constants.py and ns.py

 tests/twisted/avahi/test-caps-tubes.py |  153 +++++++++++++++-----------------
 1 files changed, 72 insertions(+), 81 deletions(-)

commit 61e09f3f1b5d07a8dbaceaccb483c7886dd1b228
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 15:03:07 2009 +0000

    constants.py: add CONN_IFACE_CONTACT_CAPA and CONN_IFACE_CONTACTS

 tests/twisted/constants.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ab88bc874408a41f8e4f991b30db170a89d25f1f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 14:56:48 2009 +0000

    test-caps-tubes: fixed features are now announced

 tests/twisted/avahi/test-caps-tubes.py |   33 ++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 12 deletions(-)

commit 1a8165e7e5d80bf3d865ec7602a59bcb99e145cc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 14:56:03 2009 +0000

    tubes-mgr: remove tube_feature as it's now announced as a fixed caps

 src/salut-tubes-manager.c |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 8aa4a77a6a47ef127d4dd5a188001955eaf6dd9a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 14:44:59 2009 +0000

    test-caps-self: TELEPATHY_CAPS is now in ns

 tests/twisted/avahi/test-caps-self.py |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit bf96273a8c205215fb01c1cb8f252ade5d0f979f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 14:44:32 2009 +0000

    ns.py: add TELEPATHY_CAPS

 tests/twisted/ns.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6ace4acd1288ec1469b99a9d84fee9e6f15cc2de
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 14:43:03 2009 +0000

    test-caps-self: use fixed_features

 tests/twisted/avahi/test-caps-self.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 81fa9d8d928b343fc0d90415e00b5718b15a0cd6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 14:42:36 2009 +0000

    saluttest.py: add fixed_features

 tests/twisted/saluttest.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5594f8ec2e943a2372c3114f61501548dbc20077
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 13:46:17 2009 +0000

    test-caps-self.py: check if fixed caps are announced

 tests/twisted/avahi/test-caps-self.py |   42 ++++++++++++++++++++++----------
 1 files changed, 29 insertions(+), 13 deletions(-)

commit d268c543ca2764d406ef8f0ed90fd309fdd9c794
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 13:41:44 2009 +0000

    ns.py: add OOB, IBB, SI and tubes ns

 tests/twisted/ns.py |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 5622925bd58bf36e22df7ec63f009216fb1d4366
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 13:35:42 2009 +0000

    add ns.py to EXTRA_DIST

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ca4ef2744610abed98b93283e203e6f89bb0a59b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 13:34:55 2009 +0000

    import ns.py from Gabble

 tests/twisted/ns.py |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit aca6fef89a59a271daf8189876be096ed0e3bcc3
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 13:33:15 2009 +0000

    salut-connection: announce our capabilites when connected

 src/salut-connection.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit ba6944ef2f75683d93ea4023f254844cb03d7490
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 13:32:06 2009 +0000

    capabilities_get_features: announce self_advertised_features too

 src/salut-capabilities.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit d7f635d857a342ca3f752acfd7436cd03fdf5d62
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 12:35:03 2009 +0000

    caps_req_stanza_callback: use salut_self_get_features

 src/salut-disco.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 4f92c94375ef6fff87e6565b1db7861572842cea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 12:34:45 2009 +0000

    caps_hash_compute_from_stanza: use salut_self_get_features

 src/salut-caps-hash.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e96be440df07d451c65d7fa8a6c89c87bd6e38e7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 12:32:02 2009 +0000

    add salut_self_get_features

 src/salut-self.c |    7 +++++++
 src/salut-self.h |    2 ++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit a52b32d6ed3627acd5b51bb061da1c3f75810486
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 23 12:24:38 2009 +0000

    salut-connection: factor out announce_self_caps

 src/salut-connection.c |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

commit 49d3937804fa7af6bbc8e940628577557ecc7c36
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 18:04:48 2009 +0000

    gibber-namespaces: add GIBBER_XMPP_NS_X_OOB

 lib/gibber/gibber-namespaces.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7bf66fdb71e2076fecef9da6be200bca701462bc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 16:52:09 2009 +0000

    rename GIBBER_XMPP_NS_OOB to GIBBER_XMPP_NS_IQ_OOB

 lib/gibber/gibber-bytestream-oob.c    |    8 ++++----
 lib/gibber/gibber-namespaces.h        |    2 +-
 lib/gibber/gibber-oob-file-transfer.c |    4 ++--
 src/salut-si-bytestream-manager.c     |    6 +++---
 4 files changed, 10 insertions(+), 10 deletions(-)

commit beba2ea4d45c64bb447d82b3b43342ea9de45f66
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Feb 10 10:45:36 2009 +0000

    fix conflict resolution: tube state property has to be readonly

 src/tube-iface.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 58f5dde29e4ea359ac43d579fa775d2f6aad6e27
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 9 22:35:56 2009 +0100

    coding style fix

 src/salut-self.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 0e8c51caf2b43ac0e7f8e1a802efa55b8d2958e7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 9 22:32:19 2009 +0100

    all.xml: fix Requestable_Channel_Class name

 extensions/all.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3a9d04f58f3786c0accf10f4e5e5a569afc3dff0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 9 22:32:01 2009 +0100

    tube-iface: fix wrong conflict resolution

 src/tube-iface.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 18cd4660d325f6e4c02be735db33006ec2a49e47
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 16:00:07 2009 +0000

    salut_tubes_manager_caps_diff: check pointer equality first

 src/salut-tubes-manager.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 4d6503914337b4955e4921fb14d8d854bddf9d43
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 15:00:15 2009 +0000

    hash_table_is_subset: no need to pass dummy key/value to g_hash_table_lookup_extended

 src/salut-tubes-manager.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 2bfc51d043f85c04e37f0e24b323a87e4ac0eebd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 14:57:52 2009 +0000

    salut_tubes_manager_caps_diff: check hash tables size first

 src/salut-tubes-manager.c |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit bda59cffae234756fc836726538ed1f3ae42c633
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 14:49:55 2009 +0000

    salut_tubes_manager_caps_diff: return FALSE if both caps are NULL

 src/salut-tubes-manager.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit bd5ddb7506b4b6f59991f0f42b60a5354f4fdaa4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 14:33:55 2009 +0000

    caps_hash_compute: use g_checksum_type_get_length instead of hardcoding the size

 src/salut-caps-hash.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 47f78d1546ecba460596ff79302231724b91adc0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 14:24:21 2009 +0000

    test-caps-tubes.py: check if the hash matches the announced capabilities

 tests/twisted/avahi/test-caps-tubes.py |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit cbb9facd703cb9e09a55535d88a292db90a369df
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 14:05:53 2009 +0000

    caps_helper: wrap big line

 tests/twisted/avahi/caps_helper.py |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 27aad294e32b783eefc615fbee9331d23a18ea82
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:33:16 2009 +0000

    test-send-file-and-cancel-immediately.py: add error message when asserting False

 .../avahi/test-send-file-and-cancel-immediately.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e1e1782638f46cb914b9f4735ee204c1e9365ef9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:32:56 2009 +0000

    test-receive-file-and-sender-disconnect-while-pending.py: add error message when asserting False

 ...ive-file-and-sender-disconnect-while-pending.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 33bc8b39b1ce307536a63b98629fc2241b0fd29f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:32:35 2009 +0000

    test-disabled-1-1-tubes.py: add error message when asserting False

 tests/twisted/avahi/test-disabled-1-1-tubes.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ea5e8fda6bbf820896ca7106cc3daa8afbbf2edd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:31:43 2009 +0000

    test-request-invalid-dbus-tube.py: add error message when asserting False

 .../avahi/test-request-invalid-dbus-tube.py        |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6f3595ac5417ea772807b790f4ab9b27d6c0aee2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:31:22 2009 +0000

    test-send-file-to-unknown-contact.py: add error message when asserting False

 .../avahi/test-send-file-to-unknown-contact.py     |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a55127dd217383ef58297b573350ef4627986787
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:30:54 2009 +0000

    tubes-to-nonexistant-ids.py: add error message when asserting False

 tests/twisted/avahi/tubes-to-nonexistant-ids.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a19834519f53faab14650c16d592a971a67adb95
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:23:17 2009 +0000

    test-tube: add error message when asserting False

 tests/twisted/avahi/test-tube.py |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 20ddef6b55fae6df14e9695dbe4912cdfc821dcc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 11:55:21 2009 +0000

    move caps_req_stanza_callback from salut-connection to salut-disco

 src/salut-connection.c |  174 -----------------------------------------------
 src/salut-disco.c      |  177 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 177 insertions(+), 174 deletions(-)

commit 682675ece27145864dade0ffcde8ffc7ff8e49fc
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 18:02:55 2009 +0000

    test-caps-tubes: ContactCapabilitiesChanged now has a dict as argument

 tests/twisted/avahi/test-caps-tubes.py |   18 ++++++------------
 1 files changed, 6 insertions(+), 12 deletions(-)

commit 880c06710f3fc8424a3fbdc6f2d0c44ebb94b743
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 18:02:34 2009 +0000

    implement latest contact capabilities spec

 src/salut-connection.c    |   12 +++++++++---
 src/salut-im-manager.c    |    5 +++--
 src/salut-tubes-manager.c |    4 ++--
 3 files changed, 14 insertions(+), 7 deletions(-)

commit bb692e9161d5916c807dde25c6507157618d9b1b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 18:01:47 2009 +0000

    add Requestable_Channel_Class as an external type

 extensions/all.xml |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 9079d257ec8f7adddf819a2b954349a84b240b22
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 18:01:22 2009 +0000

    Connection_Interface_Contact_Capabilities.xml: update to latest spec

 .../Connection_Interface_Contact_Capabilities.xml  |   87 +++++++++-----------
 1 files changed, 40 insertions(+), 47 deletions(-)

commit a62b5bcad2cdbaefaeeab28a2777ee2051abcb3a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 15:37:39 2009 +0000

    tubes-manager: factor out tubes_capabilities_free

 src/salut-tubes-manager.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit ae0e8ce0412415d4ec34fa32a1bb9492de0163d2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 15:34:50 2009 +0000

    tubes-manager: factor out tubes_capabilities_new

 src/salut-tubes-manager.c |   51 ++++++++++++++++++++------------------------
 1 files changed, 23 insertions(+), 28 deletions(-)

commit c771725a8555a350830de8a043db3c327b875227
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 15:15:51 2009 +0000

    caps_req_stanza_callback: add FIXME about hardocded 'pc' attribute

 src/salut-connection.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit cd909fa4fc94b8269a7e350987d225a3f04fed08
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 14:31:55 2009 +0000

    remove generate_caps as it's not really useful

 tests/twisted/avahi/caps_helper.py    |    4 ----
 tests/twisted/avahi/test-caps-self.py |    5 +++--
 2 files changed, 3 insertions(+), 6 deletions(-)

commit e4875aa4b2673bdfd63a98e6b9e9a63a5c7b1133
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 14:29:34 2009 +0000

    test-caps-tubes.py: generate caps hash instead of hardcoding them

 tests/twisted/avahi/test-caps-tubes.py |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit de74b0c953510f3fe5cd47f222b22fe70a3207bf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 13:26:17 2009 +0000

    test-caps-self: use caps_helper

 tests/twisted/avahi/test-caps-self.py |   25 ++-----------------------
 1 files changed, 2 insertions(+), 23 deletions(-)

commit 482eb01aed6add5ceb5d23755d2a9f59cf7e2e0c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 13:25:53 2009 +0000

    add caps_helper.py to test suite

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f78241955ce047a4d6799b2601db079427c588ec
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 15 13:25:36 2009 +0000

    add avahi/caps_helper.py

 tests/twisted/avahi/caps_helper.py |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)

commit 15969d8c39e02092a9270e933b03e743f68135ed
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 16:26:42 2009 +0000

    use slice allocator with Feature and TubesCapabilities

 src/salut-tubes-manager.c |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit ed7c69a0e96f6475c3b489c11c92a21190710745
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 16:14:03 2009 +0000

    coding style fix

 src/salut-tubes-manager.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 86e9db241fdfcff150c02968e4866c0cb37d8294
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 16:11:28 2009 +0000

    simplify salut_tubes_manager_caps_diff

 src/salut-tubes-manager.c |   98 +++++++++++++++++++-------------------------
 1 files changed, 42 insertions(+), 56 deletions(-)

commit e33c5c238115adb618aaa6704d66bbef35e8c026
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 16:11:09 2009 +0000

    salut_tubes_manager_get_contact_caps: fix contact leak

 src/salut-tubes-manager.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 060bbb34ef7fc6f40b8b8530d8c6184a843f4368
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 15:15:06 2009 +0000

    rename salut_private_tubes_factory_* to salut_tubes_manager_*

 src/salut-tubes-manager.c |   48 ++++++++++++++++++++++----------------------
 1 files changed, 24 insertions(+), 24 deletions(-)

commit b1a2366b0386711b20c7e8c9466f4f7496c664ac
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 15:02:49 2009 +0000

    change salut_presence_cache_copy_cache_entry to return a GHashTable*

 src/salut-contact.c        |    2 +-
 src/salut-presence-cache.c |   18 +++++++++++-------
 src/salut-presence-cache.h |    2 +-
 3 files changed, 13 insertions(+), 9 deletions(-)

commit 8c09a36a3502dbfb062c4a52746ce967d2f39867
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:49:39 2009 +0000

    salut_connection_dispose: check that the objects are not NULL before unreffing them

 src/salut-connection.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit f25a41fbe2a2669f1f3ddd4a897d1353b670d8d4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:47:33 2009 +0000

    caps-hash: use tp_strdiff instead of g_str_equal

 src/salut-caps-hash.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit ca2c15c3e892a0cec72316e4890483c4e8977e97
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:45:15 2009 +0000

    caps_hash_compute: use GCheckSum instead of our own implementation of sha1

 src/salut-caps-hash.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit ba62c86d9e21754e5c4ebb09cba557364d2ae4af
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:20:57 2009 +0000

    salut-caps-channel-manager.h: remove _future

 src/salut-caps-channel-manager.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 74a6ab687698bab161d64d90c7cb45b4a79d4bc7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:18:56 2009 +0000

    salut_avahi_self_set_presence: rename _self to self

 src/salut-avahi-self.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 11b6809fefc92a9e8f961f48f8df9926e99b8936
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:16:05 2009 +0000

    remove home-made base64 implementation

 src/Makefile.am |    2 -
 src/base64.c    |  196 -------------------------------------------------------
 src/base64.h    |   28 --------
 3 files changed, 0 insertions(+), 226 deletions(-)

commit 2061f052c9dd48cda6da831dcb65bccbbfed8d3c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 14:15:08 2009 +0000

    salut-caps-hash: use glib's base64 implementation instead of our own

 src/salut-caps-hash.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit f38f8a7ee0f98468a9bb1c1730ffc123b3074c8f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 13:47:10 2009 +0000

    tubes-manager: fix SalutSelf leaks

 src/salut-tubes-manager.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 31cf0bb0550e5e4531a11d6fbc75614c1205d115
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 12:52:34 2009 +0000

    new_tubes_channel: we don't have to unref the contact twice

 src/salut-tubes-manager.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit c0f026c36d7c93c15679adb3043e9727e8b61bab
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 12:19:55 2009 +0000

    test-caps-tubes.py: be sure that the caps announced in the service actually changes

 tests/twisted/avahi/test-caps-tubes.py |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit fbf40bc695c1aeb392cb04433d9a06f0dcc4f4f0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 12:18:34 2009 +0000

    add config.py to gitignore

 .gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 575ef0ad7e0e419a02897978674bfe22c140a327
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 10:47:45 2009 +0000

    test-caps-self.py: generate caps instead of hardcoding them as they depend on the Salut version

 tests/twisted/avahi/test-caps-self.py |   25 ++++++++++++++++++++++++-
 1 files changed, 24 insertions(+), 1 deletions(-)

commit 7f73a065f4106a811fa389e584a310eda565c201
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 10:41:41 2009 +0000

    generate tests/twisted/config.py containing PACKAGE_STRING

 configure.ac              |    2 ++
 tests/twisted/Makefile.am |    6 ++++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 20a481c7d1d6bbb0a9b68de85a812c87956080c8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 16:38:34 2009 +0000

    add Channel_Class as external-type

 extensions/all.xml |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5a18a46811350ca82a7970da27d1528b1be9c873
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 17:54:09 2008 +0000

    Caps tests: update caps hash

 tests/twisted/avahi/test-caps-self.py  |    2 +-
 tests/twisted/avahi/test-caps-tubes.py |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 3b942f12c73c17c313ad0ed5d2f9c6849e814bf7
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 17:40:56 2008 +0000

    Use DEBUG() instead of g_warning() when receiving a bad capability from a contact

 src/salut-presence-cache.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d79f947c5203dd981ed5aa7f971f30709bcb3f71
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 17:18:34 2008 +0000

    test-caps-tubes.py: Update test to use # to concatenate service name to tubes caps URI

 tests/twisted/avahi/test-caps-tubes.py |   56 ++++++++++++++++----------------
 1 files changed, 28 insertions(+), 28 deletions(-)

commit 56560b7550fc7fdf2265ce528cc92164051fa15f
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 17:11:02 2008 +0000

    Use # to concatenate service name to tubes caps URI
    
    Tweak tubes features to be like:
     http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
    Rather than:
     http://telepathy.freedesktop.org/xmpp/tubes/stream/rfb
    
    So we can put something at the http:// URI that talks about the
    protocol.
    
    This commit is the same as in telepathy-gabble
    361575641a3132467e320a4484fea698ae3b935b

 src/salut-tubes-manager.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit dc78ee933cf6af24e1142816c96c9e80b732a25c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 17:06:20 2008 +0000

    SalutMucManager and SalutRoomlistManager: implements SALUT_TYPE_CAPS_CHANNEL_MANAGER

 src/salut-muc-manager.c      |    5 ++++-
 src/salut-roomlist-manager.c |    5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 42af77d52985b7cd1b60ac52f60dc7e612f990fd
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 16:49:36 2008 +0000

    Fix after the merge: coding style

 src/salut-disco.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3aa512bf5947d2a1e51580228470fdf9eddef3be
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 16:47:48 2008 +0000

    Fix after the merge: includes

 src/salut-disco.c          |    2 +-
 src/salut-presence-cache.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b1f294d884f6ccdf085283a21c516d48ff9e1683
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Dec 19 16:47:24 2008 +0000

    Fix after the merge: declaration order

 src/salut-connection.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 7f4b0478d8c91352358fdc75e5d235595b4ef7b9
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Tue Nov 25 17:05:42 2008 +0000

    src/tube-iface.c: Set the "state" to contruct_only

 src/tube-iface.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 405dfea660efc932bca07fbf059cadef753ece14
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Nov 24 12:57:23 2008 +0000

    SalutFtManager implements SalutCapsChannelManager. Effectively returning FT capability still TBD.

 src/salut-ft-manager.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit d6e5191927b4e506ce89eb24758cc91b0167c9cf
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Nov 24 12:37:06 2008 +0000

    lib/gibber/gibber-namespaces.h: Fix double #define from the merge

 lib/gibber/gibber-namespaces.h |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 215c6dfdad4d80013a0c5245885ad7ffcf288ca0
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Nov 7 18:26:51 2008 +0000

    Remove include salut-direct-bytestream-manager.h

 src/salut-connection.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 3f95b0cc032b2cdef73df77f0bd6ed6bc321cb45
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Thu Oct 23 14:50:13 2008 -0400

    SHA-1 code for capabilities hash: Use GChecksum for SHA-1 from src/sha1/sha1-util.[ch]

 src/salut-caps-hash.c |   14 +-------------
 1 files changed, 1 insertions(+), 13 deletions(-)

commit 7693741b1bbd3f76924270b2956e1528bbcaa7b6
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 22 10:21:03 2008 -0400

    SalutContactManager implements SALUT_TYPE_CAPS_CHANNEL_MANAGER

 src/salut-contact-manager.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 43a1300c823e5ed108866b88c8e3fa172febf0ec
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 20 17:01:05 2008 -0400

    Fix strict-aliasing warnings, and remove excessive usage of casts

 src/salut-capabilities.c  |    7 ++++---
 src/salut-tubes-manager.c |   32 +++++++++++++++-----------------
 2 files changed, 19 insertions(+), 20 deletions(-)

commit 272ee481fa740da2a1423fe05d8593b3965b53ff
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 8 15:50:50 2008 +0100

    Capabilities: Fix a leak

 src/salut-capabilities.h   |    2 +-
 src/salut-presence-cache.c |    2 ++
 src/salut-tubes-manager.c  |   26 ++++++++++++++++++++------
 3 files changed, 23 insertions(+), 7 deletions(-)

commit 134bbc3a9cdc9b1a0a86c4d467a4c8acd4e0385a
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 8 15:48:33 2008 +0100

    lib/gibber/gibber-namespaces.h: Remove all the uneeded casts

 lib/gibber/gibber-namespaces.h |   38 +++++++++++++++++++-------------------
 1 files changed, 19 insertions(+), 19 deletions(-)

commit 3e66c3c5651ba14f0efe274727c3d09de7eb0b1f
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 8 15:15:19 2008 +0100

    Stop using the workaround for bug #17329
    
    - Update the spec in extensions/:
    There was a bug in dbus-glib that prevent to use the right type:
    Instead of a{ua(a{sv}as)}, we used a(ua{sv}as) as a workaround.
    See http://bugs.freedesktop.org/show_bug.cgi?id=17329
    Now there is a fix, so we don't use the workaround anymore.
    
    - Update the implementation for the new spec
    
    - Update the unit test
    
    This commit is similar to the following commit in telepathy-gabble:
    |commit 6971f458ad0816e40807549202d8a4ffe58b72aa
    |Author: Alban Crequy <alban.crequy@collabora.co.uk>
    |Date:   Wed Oct 8 11:30:59 2008 +0100

 .../Connection_Interface_Contact_Capabilities.xml  |   76 ++++++---
 src/salut-connection.c                             |   14 +-
 src/salut-im-manager.c                             |    5 +-
 src/salut-tubes-manager.c                          |    5 +-
 tests/twisted/avahi/test-caps-tubes.py             |  176 ++++++++++----------
 5 files changed, 153 insertions(+), 123 deletions(-)

commit 5790c345eabd1a434b43b33b8670f0491ab8f36d
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 18:46:38 2008 +0100

    SalutDisco: Remove commented code

 src/salut-disco.c |   39 ---------------------------------------
 1 files changed, 0 insertions(+), 39 deletions(-)

commit a9c738cc2ca96bc1d27e064840ddefe0b3134c2f
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 17:19:16 2008 +0100

    Oops, I did not meant to commit theses debugs

 src/salut-tubes-manager.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 62ded174d0206f01f0839d633ba4a62973b7bde8
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 17:11:55 2008 +0100

    salut-presence-cache.c: Remove info->guys for now, it is not used and the reference count on SalutContact is wrong. However, the feature to not ask the same caps info from different contacts still need to be implemented.

 src/salut-presence-cache.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit 6a09e7f829a6e1572c1a475aacda8b1959598952
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 16:55:24 2008 +0100

    src/salut-tubes-manager.c: Fix reference counting on SalutContact

 src/salut-tubes-manager.c |   20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit 19a076a56397996c449b870d2a7748267621c54c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 16:53:33 2008 +0100

    src/salut-presence-cache.c: Fix reference counting on SalutContact

 src/salut-presence-cache.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit 17b2a39dec4254afbe1ec8f322064b782ee55cfb
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 15:11:06 2008 +0100

    salut-disco.c: Take and release the GibberXmppConnection and the GibberIqHelper

 src/salut-disco.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit a72287b3794d987afe795d0be1af8ad55f9bf5d4
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 15:01:29 2008 +0100

    GibberIqHelper: Allow the user callback to unref the GibberIqHelper

 lib/gibber/gibber-iq-helper.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7b4e317f517df154beac78b71cf64a827a816e9a
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Oct 6 10:59:56 2008 +0100

    test-caps-tubes.py: Update test description

 tests/twisted/avahi/test-caps-tubes.py |   11 +++++------
 1 files changed, 5 insertions(+), 6 deletions(-)

commit c3f8bf2a134ed88fd3d045dc20cb22ae75e6b337
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sun Oct 5 00:36:36 2008 +0100

    Fix: remove_stanza_filter when SalutConnection is released. Register the filter without any XmppConnection criteria.

 src/salut-connection.c |   25 ++++++++-----------------
 1 files changed, 8 insertions(+), 17 deletions(-)

commit 68d7850da817355507653fd6199f57821f140f7c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sat Oct 4 23:16:42 2008 +0100

    test-caps-tubes.py: Do not assume the contact handle is 2.

 tests/twisted/avahi/test-caps-tubes.py |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit ebb33652e7a6d6bc66e673a690404c76413de378
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sat Oct 4 03:07:30 2008 +0100

    Coding style

 src/salut-disco.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5cdaaa18bd9163388f943f17be31a34f51f964e0
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sat Oct 4 03:05:03 2008 +0100

    Caps test: Remove uneeded variable

 tests/twisted/avahi/test-caps-tubes.py |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit cb7437f873d33fbc32153b4e241bbf9e442e07e9
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sat Oct 4 03:04:34 2008 +0100

    Salut always advertise generic tube capability

 src/salut-tubes-manager.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3bdd157ccc943591b376e45ecb0ac2b0cd559335
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sat Oct 4 02:31:27 2008 +0100

    Do not ask contacts' caps when the contact does not advertise any caps

 src/salut-presence-cache.c |   42 ++++++++++++++++++++++++++++++------------
 1 files changed, 30 insertions(+), 12 deletions(-)

commit 0726d756a9d513067c3c3f47e2ef48d128886a47
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Sat Oct 4 02:24:17 2008 +0100

    Workaround a race between the mdns publication with Avahi and opening a XmppConnection. It is a bug in Salut?

 tests/twisted/avahi/test-caps-tubes.py |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 8e3b395cdbe023eca0301299338254edb8134192
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 23:57:20 2008 +0100

    Test caps: the fake contact does not send presence stanza but update its avahi txt records

 tests/twisted/avahi/test-caps-tubes.py |  131 ++++++++++++++++----------------
 1 files changed, 67 insertions(+), 64 deletions(-)

commit 5136ec8b620ece4d81b6290df6f381d6d81df125
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 23:55:53 2008 +0100

    Also emit ContactCapabilitiesChanged when the new caps come from the cache (not only when the new caps come from a disco request)

 src/salut-presence-cache.c |   21 ++++++++++++++++-----
 1 files changed, 16 insertions(+), 5 deletions(-)

commit 15997725f5478e45be74f1c52dc08b6b013dab98
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 23:54:34 2008 +0100

    Add a contact attribute for the enhenced capabilities interface

 src/salut-connection.c |   91 +++++++++++++++++++++++++++++++++++-------------
 1 files changed, 67 insertions(+), 24 deletions(-)

commit 178082b75e153211cc4e0561df8dbe95605400d0
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 23:53:15 2008 +0100

    Fix salut_private_tubes_factory_add_cap

 src/salut-tubes-manager.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit 22ab97ab30c8b304b33c79f293dd86ddc4d7b036
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 19:34:01 2008 +0100

    SalutTubesManager implements the enhenced capabilities interface

 src/salut-tubes-manager.c |  471 ++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 470 insertions(+), 1 deletions(-)

commit da4d8ebbcd6da63c616df6a76ef222a2b8fee161
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 18:56:22 2008 +0100

    SalutImManager implements salut_im_factory_get_contact_caps()

 src/salut-im-manager.c |   63 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 62 insertions(+), 1 deletions(-)

commit cbdc3c1ea60bf96c9617a292a928501e7b96c01e
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 18:49:03 2008 +0100

    test-caps-tubes.py: Check that Salut make disco requests

 tests/twisted/avahi/test-caps-tubes.py |   23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit d68b4f3ac594daf8c5ac3f860627e6b2c52dfb5c
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 18:48:19 2008 +0100

    tests/twisted/saluttest.py: Fix sync_stream and make_result_iq

 tests/twisted/saluttest.py |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit d750632b9b1a1926930f5d941e93fa06c9c66342
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Oct 3 18:47:12 2008 +0100

    Caps: Reply to disco requests. Send disco requests.

 src/salut-caps-channel-manager.c |    2 +-
 src/salut-caps-channel-manager.h |    4 +-
 src/salut-caps-hash.c            |    3 +-
 src/salut-caps-hash.h            |    2 +-
 src/salut-connection.c           |  192 ++++++++++++++++++-
 src/salut-disco.c                |  406 ++++++++++++++++++++++++--------------
 src/salut-disco.h                |    7 +-
 src/salut-presence-cache.c       |   48 +++---
 src/salut-presence-cache.h       |    3 +-
 src/salut-tubes-channel.c        |    1 +
 10 files changed, 486 insertions(+), 182 deletions(-)

commit 75895a467ebf8003e44151353da7ec2f026d187b
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Thu Oct 2 18:44:45 2008 +0100

    Caps: Add SalutPresenceCache and SalutDisco

 lib/gibber/gibber-namespaces.h |    6 +
 src/Makefile.am                |    2 +
 src/salut-avahi-contact.c      |   11 +
 src/salut-connection.c         |   32 ++
 src/salut-connection.h         |    7 +
 src/salut-contact.c            |   19 ++
 src/salut-contact.h            |   12 +
 src/salut-disco.c              |  500 ++++++++++++++++++++++++++++++++
 src/salut-disco.h              |  102 +++++++
 src/salut-presence-cache.c     |  625 +++++++++++++++++++++++++++++++++++++++-
 src/salut-presence-cache.h     |   49 ++++
 11 files changed, 1359 insertions(+), 6 deletions(-)

commit 6c601c7c63566a1cd4eee42ec5c4a04fe7a587c9
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Thu Oct 2 17:57:16 2008 +0100

    Implement caps_hash_compute_from_stanza() with Gibber

 src/salut-caps-hash.c |  246 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/salut-caps-hash.h |    3 +
 2 files changed, 249 insertions(+), 0 deletions(-)

commit 13e629a93d54a7e65e145ffaf926415fe917ef41
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 16:31:53 2008 +0100

    test-caps-tubes.py: Import the tube caps test from Gabble. It does not pass atm because the implementation in Salut is missing and the test still need to be adapted.

 tests/twisted/Makefile.am              |    1 +
 tests/twisted/avahi/test-caps-tubes.py |  729 ++++++++++++++++++++++++++++++++
 tests/twisted/saluttest.py             |   19 +
 3 files changed, 749 insertions(+), 0 deletions(-)

commit 0175d22e4cfb7848f5b09a7d9e5fab03d7e74d5d
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 16:30:57 2008 +0100

    Caps: GetContactCapabilities calls every channel manager to get caps

 src/salut-connection.c |   47 ++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 46 insertions(+), 1 deletions(-)

commit 5dc7e644d11e0854b960c4cc2bdce06b57739229
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 15:36:24 2008 +0100

    Tests: check txt records after SetSelfCapabilities

 tests/twisted/avahi/test-caps-self.py |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit 80c712d1516ed7e79c050ac62ee740f93d8353a4
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 15:35:01 2008 +0100

    Caps: publish the right caps in txt records after the caps changed with SetSelfCapabilities

 lib/gibber/gibber-namespaces.h |    3 +++
 src/salut-connection.c         |    9 ++++++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit fef73cdedbeb61cab93367b1d74dbda34311c169
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 15:16:12 2008 +0100

    src/salut-connection.c: Remove the hack to test caps txt record

 src/salut-connection.c |   10 ----------
 1 files changed, 0 insertions(+), 10 deletions(-)

commit 6c2699352744460d6cd7441de4431537e5caf3c1
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 15:14:56 2008 +0100

    Avahi tests: Fix split when txt records contains '='

 tests/twisted/avahitest.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a5b77d48c257da476fe9c4c8180f9e34ac5aff0f
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 13:18:05 2008 +0100

    Basic test for SetSelfCapabilities

 tests/twisted/Makefile.am             |    1 +
 tests/twisted/avahi/test-caps-self.py |   44 +++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 0 deletions(-)

commit 3b40a24c21b1c3475ba7d5670939f9733e20cebb
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 13:17:06 2008 +0100

    Empty implementation of SALUT_CAPS_CHANNEL_MANAGER by channel managers

 src/salut-im-manager.c    |    5 ++++-
 src/salut-tubes-manager.c |    5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit b5cf5c9f79b9cedcae9b2381a45899693e724dea
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Wed Oct 1 12:12:23 2008 +0100

    Start the implementation of D-Bus method call set_self_capabilities()

 src/Makefile.am            |    2 +
 src/salut-connection.c     |  224 +++++++++++++++++++++++++++++++++++++++----
 src/salut-presence-cache.c |  105 +++++++++++++++++++++
 src/salut-presence-cache.h |   46 +++++++++
 4 files changed, 356 insertions(+), 21 deletions(-)

commit 321b94928472bfad35f80cdae8135b399f062ae5
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Tue Sep 30 18:26:13 2008 +0100

    Import capability code from Gabble

 src/Makefile.am                  |    8 ++
 src/base64.c                     |  196 +++++++++++++++++++++++++++++++
 src/base64.h                     |   28 +++++
 src/debug.h                      |   36 +++---
 src/salut-capabilities.c         |   60 ++++++++++
 src/salut-capabilities.h         |   46 ++++++++
 src/salut-caps-channel-manager.c |  191 ++++++++++++++++++++++++++++++
 src/salut-caps-channel-manager.h |  140 ++++++++++++++++++++++
 src/salut-caps-hash.c            |  236 ++++++++++++++++++++++++++++++++++++++
 src/salut-caps-hash.h            |   29 +++++
 src/salut-self.h                 |    1 +
 11 files changed, 954 insertions(+), 17 deletions(-)

commit a93f4d824d1328bd3ab09be744f316df622c3eb7
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Tue Sep 9 11:33:02 2008 +0100

    Add the new capabilities interface in extensions/

 .../Connection_Interface_Contact_Capabilities.xml  |  150 ++++++++++++++++++++
 extensions/Makefile.am                             |    1 +
 extensions/all.xml                                 |    1 +
 3 files changed, 152 insertions(+), 0 deletions(-)

commit 94cfc605aff7eeb4842386f6ac85190505d18259
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Mon Aug 25 10:41:15 2008 +0100

    Ugly hack to test caps txt records

 src/salut-connection.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit d9310c7bd3f1300fcd15ecb596ab3adeacbf8c9f
Author: Alban Crequy <alban.crequy@collabora.co.uk>
Date:   Fri Aug 22 19:34:18 2008 +0100

    Add salut_self_set_caps() that publish XEP-0115's {node, hash, ver} on Avahi

 src/salut-avahi-self.c |   28 ++++++++++++++++++++++++++++
 src/salut-self.c       |   20 ++++++++++++++++++++
 src/salut-self.h       |    7 +++++++
 3 files changed, 55 insertions(+), 0 deletions(-)

commit 74ae0dfeca85df93cda9ee9259f4359d1c535010
Author: Dafydd Harries <daf@rhydd.org>
Date:   Sun Feb 8 13:15:46 2009 +0100

    copy COPYING/AUTHORS files to lib/gibber

 lib/gibber/AUTHORS |    1 +
 lib/gibber/COPYING |  542 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 543 insertions(+), 0 deletions(-)

commit 2359ca653f36ca45e9486a184e0c16955deffc9e
Author: Dafydd Harries <daf@rhydd.org>
Date:   Sun Feb 8 13:15:12 2009 +0100

    move Gibber tests into lib/gibber

 .gitignore                                         |    9 +-
 configure.ac                                       |    3 +-
 lib/gibber/Makefile.am                             |    2 +-
 lib/gibber/tests/Makefile.am                       |  122 ++++
 lib/gibber/tests/check-gibber-iq-helper.c          |  432 +++++++++++++
 lib/gibber/tests/check-gibber-listener.c           |  211 +++++++
 .../check-gibber-r-multicast-causal-transport.c    |  550 +++++++++++++++++
 lib/gibber/tests/check-gibber-r-multicast-packet.c |  228 +++++++
 lib/gibber/tests/check-gibber-r-multicast-sender.c |  652 ++++++++++++++++++++
 lib/gibber/tests/check-gibber-resolver.c           |   91 +++
 lib/gibber/tests/check-gibber-sasl-auth.c          |  213 +++++++
 .../tests/check-gibber-xmpp-connection-listener.c  |  120 ++++
 lib/gibber/tests/check-gibber-xmpp-connection.c    |  126 ++++
 lib/gibber/tests/check-gibber-xmpp-error.c         |  139 +++++
 lib/gibber/tests/check-gibber-xmpp-node.c          |  167 +++++
 lib/gibber/tests/check-gibber-xmpp-reader.c        |  127 ++++
 lib/gibber/tests/check-gibber-xmpp-stanza.c        |  165 +++++
 lib/gibber/tests/check-gibber.h                    |   20 +
 lib/gibber/tests/check-helpers.c                   |   63 ++
 lib/gibber/tests/check-helpers.h                   |   43 ++
 lib/gibber/tests/check-main.c                      |   54 ++
 lib/gibber/tests/inputs/Makefile.am                |    5 +
 lib/gibber/tests/inputs/groupchat-invite.input     |   32 +
 .../inputs/simple-message-attrnamespace.input      |   17 +
 lib/gibber/tests/inputs/simple-message.input       |   16 +
 .../tests/inputs/strange-streamopening.input       |    9 +
 lib/gibber/tests/inputs/tls-stream-start.input     |   18 +
 lib/gibber/tests/run-xmpp-connection-test.sh       |   29 +
 lib/gibber/tests/test-r-multicast-transport-io.c   |  226 +++++++
 lib/gibber/tests/test-resolver.c                   |  113 ++++
 lib/gibber/tests/test-resolver.h                   |   59 ++
 lib/gibber/tests/test-sasl-auth-server.c           |  460 ++++++++++++++
 lib/gibber/tests/test-sasl-auth-server.h           |   73 +++
 lib/gibber/tests/test-transport.c                  |  209 +++++++
 lib/gibber/tests/test-transport.h                  |   73 +++
 lib/gibber/tests/test-xmpp-connection.c            |  157 +++++
 tests/Makefile.am                                  |   73 +--
 tests/check-gibber-iq-helper.c                     |  432 -------------
 tests/check-gibber-listener.c                      |  211 -------
 tests/check-gibber-r-multicast-causal-transport.c  |  550 -----------------
 tests/check-gibber-r-multicast-packet.c            |  228 -------
 tests/check-gibber-r-multicast-sender.c            |  652 --------------------
 tests/check-gibber-resolver.c                      |   91 ---
 tests/check-gibber-sasl-auth.c                     |  213 -------
 tests/check-gibber-xmpp-connection-listener.c      |  120 ----
 tests/check-gibber-xmpp-connection.c               |  126 ----
 tests/check-gibber-xmpp-error.c                    |  139 -----
 tests/check-gibber-xmpp-node.c                     |  167 -----
 tests/check-gibber-xmpp-reader.c                   |  127 ----
 tests/check-gibber-xmpp-stanza.c                   |  165 -----
 tests/check-gibber.h                               |   20 -
 tests/check-main.c                                 |   31 -
 tests/inputs/Makefile.am                           |    5 -
 tests/inputs/groupchat-invite.input                |   32 -
 tests/inputs/simple-message-attrnamespace.input    |   17 -
 tests/inputs/simple-message.input                  |   16 -
 tests/inputs/strange-streamopening.input           |    9 -
 tests/inputs/tls-stream-start.input                |   18 -
 tests/run-xmpp-connection-test.sh                  |   29 -
 tests/test-r-multicast-transport-io.c              |  226 -------
 tests/test-resolver.c                              |  113 ----
 tests/test-resolver.h                              |   59 --
 tests/test-sasl-auth-server.c                      |  460 --------------
 tests/test-sasl-auth-server.h                      |   73 ---
 tests/test-transport.c                             |  209 -------
 tests/test-transport.h                             |   73 ---
 tests/test-xmpp-connection.c                       |  157 -----
 67 files changed, 5032 insertions(+), 4842 deletions(-)

commit 2519b4e60a8a5aa31e5673824e7ff9d4dc0da054
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 15:05:33 2009 +0000

    coding style fix

 lib/gibber/gibber-oob-file-transfer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit eed82f0a0ece41c864a924cdd2e35213281c36bd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 15:04:49 2009 +0000

    add test-send-file-ipv6.py to tests suite

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7c750650961a6aac4e189b46e1353a3ec003dd56
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 15:04:28 2009 +0000

    add test-send-file-ipv6.py but disabled for now because of Python bug

 tests/twisted/avahi/test-send-file-ipv6.py |   47 ++++++++++++++++++++++++++++
 1 files changed, 47 insertions(+), 0 deletions(-)

commit 261bf8d951cf3973c9a5f23eb83710723de9aeae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 15:02:03 2009 +0000

    gibber_oob_file_transfer_offer: create a HTTP server listenning on IPv6 interfaces if the XMPP connection is a IP6 one

 lib/gibber/gibber-oob-file-transfer.c |   41 ++++++++++++++++++++++++++++++++-
 1 files changed, 40 insertions(+), 1 deletions(-)

commit 71dd1bd38433e70a6683ca6bc99ef5ea71995f02
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 14:05:27 2009 +0000

    create_transfer_offer: add brackets around IPv6 address

 lib/gibber/gibber-oob-file-transfer.c |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit c54cccc92db948ea718c6d177eb5134c9a12b9ae
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 14:01:48 2009 +0000

    http_server_cb: add Content-Length header

 lib/gibber/gibber-oob-file-transfer.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit a7d42ea14b1a4878a44c55eccdd046a4f8e64cb8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 13:48:49 2009 +0000

    create_transfer_offer: use gibber_transport_get_sockaddr and a struct sockaddr_storage so we can store an IPv6 address

 lib/gibber/gibber-oob-file-transfer.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit 4978c1583565400d4b9883bbd212ffb73b57a411
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 12:34:09 2009 +0000

    test-receive-file-ipv6: announce the test presence using IPv6

 tests/twisted/avahi/test-receive-file-ipv6.py |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit e77c6de6ae6cb62eb7fbf3559a4396cf4dcdc653
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 09:57:25 2009 +0000

    add test-receive-file-ipv6.py to tests suite

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c373bbb351de421881d9f0e2f8a16d541bb21347
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 09:57:17 2009 +0000

    add test-receive-file-ipv6.py

 tests/twisted/avahi/test-receive-file-ipv6.py |   60 +++++++++++++++++++++++++
 1 files changed, 60 insertions(+), 0 deletions(-)

commit 4473f19dcc714bca835e4aa3213b8ad279fd2b4e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Feb 2 09:56:18 2009 +0000

    add _get_http_server_class

 tests/twisted/avahi/file_transfer_helper.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 9f4dbfce821d9b6307e64637f4815df8d4a90522
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 18:20:47 2009 +0000

    xmppstream: add connect_to_stream6

 tests/twisted/xmppstream.py |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit 302b692fdfe9e20c12ccb8ba2441def672c2a57d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 18:20:27 2009 +0000

    ipv6.py: add client side code

 tests/twisted/ipv6.py |  113 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 113 insertions(+), 0 deletions(-)

commit 146375462dfd663c05d26a11c0bc36cd789d15ce
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 18:07:21 2009 +0000

    listen_for_service: don't specify the proto so IPv6 service are announced too

 tests/twisted/avahitest.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b36d466bb783b95e6f0a318b2178bb9f74df37c9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 14:06:08 2009 +0000

    xmppstream: add setup_stream_listener6

 tests/twisted/xmppstream.py |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 6357d7e4d233ef24a826ae524bfbcd2edf4738bb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 14:05:44 2009 +0000

    steal some code from proposed IPv6 patch support to make it actually work

 tests/twisted/ipv6.py |   85 +++++++++++++++++++++++++++---------------------
 1 files changed, 48 insertions(+), 37 deletions(-)

commit 761e13ade1a41871280670455bdff6e28e14fa22
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 13:33:48 2009 +0000

    import ipv6.py from Sjoerd

 tests/twisted/ipv6.py |   56 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 56 insertions(+), 0 deletions(-)

commit 7a6fd3bc526b0e95fb6fa76436fa62c977c27a38
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Mon Dec 22 15:28:35 2008 +0100

    add proto optionnal argument to AvahiAnnouncer

 tests/twisted/avahitest.py |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 23ad6e21f0d86660741b6ef250aa1113e02eee50
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 6 16:49:30 2009 +0100

    muc-manager: salut_tubes_channel_tube_request now takes channel type, service and params as args

 src/salut-muc-manager.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 5306989ae5add216aa1bccdcd8294125da080414
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Jan 30 12:09:59 2009 +0000

    salut_tube_stream_accept_stream_tube: set address_type, access_control and access_control_param when accepting the tube

 src/tube-stream.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 632ce76a5113415403752ff5d516e0ccb53cc7a0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 17:19:26 2009 +0000

    gibber_bytestream_direct_initiate: unref the bytestream as set_transport ref it

 lib/gibber/gibber-bytestream-direct.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bd8ec2e88915bd1c9bdda7326ecf235762306b68
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 17:15:15 2009 +0000

    tube-stream: contact_new_connection_cb: unref the bytestream as add_bytestream keep its own ref

 src/tube-stream.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e2b6b7a266cbe5424f4722d153fe687cadf23010
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 17:14:39 2009 +0000

    tube-stream: start_stream_direct: no need to ref the bytestream as we just create it

 src/tube-stream.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 378e449a90e906f16e56c71feed7ac6e3ce4b453
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 16:36:36 2009 +0000

    test-two-muc-stream-tubes: tube and tubes channels are now announced together

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   52 +++++++++++----------
 1 files changed, 27 insertions(+), 25 deletions(-)

commit aceba965292c9881d7b35cd4665c01ee9efcaecf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 16:36:07 2009 +0000

    salut_muc_channel_received_stanza: announce tubes and tube channels at the same time

 src/salut-muc-channel.c |   35 +++++++++++++++++++++++++++++++++--
 1 files changed, 33 insertions(+), 2 deletions(-)

commit fb6d84782017e3f6a036dd46a9a6bd80d6d7c7cf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 16:34:06 2009 +0000

    salut_muc_manager_ensure_tubes_channel: let the caller announce the channel

 src/salut-muc-manager.c |    9 +++++++--
 src/salut-muc-manager.h |    3 ++-
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 7000280e5edbc56c55f7e05802e0669f22b5226f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 16:12:18 2009 +0000

    salut_tubes_channel_muc_message_received: delegate NewChannel announcements to the caller

 src/salut-tubes-channel.c |   32 ++++++++++++--------------------
 src/salut-tubes-channel.h |    4 ++--
 2 files changed, 14 insertions(+), 22 deletions(-)

commit 23231a64361a3e73ffffba2672ebf369395aff30
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:55:41 2009 +0000

    test-offer-private-stream-tube.py: tube and tubes channels are now announced together

 .../avahi/test-offer-private-stream-tube.py        |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 8f65369605be3f14526c045c0378afaf8162e4e6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:27:49 2009 +0000

    test-two-private-stream-tubes.py: test using the new API

 .../twisted/avahi/test-two-private-stream-tubes.py |  152 ++++++++++++++++++++
 1 files changed, 152 insertions(+), 0 deletions(-)

commit 5f1a9af8a46ce0cfe5b423d4648a2a70d19bf659
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:27:26 2009 +0000

    tubes-manager: announce the tubes channel with the newly created tube channel when receiving an incoming tube

 src/salut-tubes-manager.c |   21 +++++++++++++++++----
 1 files changed, 17 insertions(+), 4 deletions(-)

commit 064e9677616e7b1fe20465c1f720fdcd13d49f1d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:24:39 2009 +0000

    tubes-manager: when requesting a tube, announce the tubes channel with it

 src/salut-tubes-manager.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 220c0afc219d0220b8341cee9a6ce99a87e10212
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:22:55 2009 +0000

    salut_tubes_channel_message_received now returns the newly created channel so caller can announce it

 src/salut-tubes-channel.c |   10 ++++++++--
 src/salut-tubes-channel.h |    2 +-
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 689abbf2b202de240a04b93b6ab8f1bfc431b3d0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:20:59 2009 +0000

    salut_tube_stream_accepted: fire TubeChannelStateChanged signal

 src/tube-stream.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit fcb5c22cda2647d52ff590f16d959ebb129d5ff4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 15:16:59 2009 +0000

    test-two-private-stream-tubes: check if we receive welcome msg from the server

 .../twisted/avahi/test-two-private-stream-tubes.py |   28 +++++++++++++++++++-
 1 files changed, 27 insertions(+), 1 deletions(-)

commit 3a6cfadd5d0c6d1c1272df75115ad6931b3ce99b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 14:23:03 2009 +0000

    test-two-private-stream-tubes: don't add signals twice in the event queue

 .../twisted/avahi/test-two-private-stream-tubes.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 71836f0f0970b568f2ae9599bbddc6047d263609
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 14:09:25 2009 +0000

    tubes-manager: don't fire NewChannel signal in new_tubes_channel

 src/salut-tubes-manager.c |   25 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit 7f071f45e9f4f28b8fb76686d3d80c4cd72a2c0f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 13:10:48 2009 +0000

    test-two-private-stream-tubes: close the tubes channels and check connections are properly disconnected

 .../twisted/avahi/test-two-private-stream-tubes.py |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 9cc77f9d07f48e179dd04c821ee6cf4baf3ed855
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 13:07:46 2009 +0000

    test-two-private-stream-tubes.py: small code simplification

 .../twisted/avahi/test-two-private-stream-tubes.py |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 3e76a1a36c4dfa8bf8447c7b8282abff9a45d7b7
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 12:58:05 2009 +0000

    test-two-private-stream-tubes.py: check TubeClosed signals

 .../twisted/avahi/test-two-private-stream-tubes.py |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 992cfb43c9fa06457857f30fb0e3099586933551
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 12:49:37 2009 +0000

    test-two-private-stream-tubes: use constants

 .../twisted/avahi/test-two-private-stream-tubes.py |   27 ++++++--------------
 1 files changed, 8 insertions(+), 19 deletions(-)

commit 6091ad55972af3dbebd8f8e9643a0cd64a229d7a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 12:48:39 2009 +0000

    constants.py: add CHANNEL_TYPE_CONTACT_LIST

 tests/twisted/constants.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 85eac7fd5634f4847653f0c0edaff90b07294a94
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 29 11:49:05 2009 +0000

    tube-stream: free the object_path when finalizing

 src/tube-stream.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cdf22e157af3c108c30dc5a87a8e998a6cd25d8a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 17:14:06 2009 +0000

    tube_closed_cb: fire DBusNamesChanged only if the tube is a muc D-Bus one

 src/salut-tubes-channel.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 999d88040972f1f7c3fccc4bad9d7d59b5cc96b4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 17:11:29 2009 +0000

    test-two-muc-stream-tubes: check if TubeChannelStateChanged is fired when Offering the tube

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 24bca7a42a1d6e818f35015156c25d85ee5d6b28
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 17:11:03 2009 +0000

    salut_tube_stream_offer_stream_tube: fire TubeChannelStateChanged signal when accepting a muc tube

 src/tube-stream.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 0149c7bcd3bbb515cd6d89377733d9704011d873
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:58:06 2009 +0000

    test-two-muc-stream-tubes: test offering and accepting the tube (new API)

 tests/twisted/avahi/test-two-muc-stream-tubes.py |  122 ++++++++++++++++++++++
 1 files changed, 122 insertions(+), 0 deletions(-)

commit a6dcb8168ac4d467490fb5a42cbec0cc1a1397b9
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:57:02 2009 +0000

    tube_closed_cb: fire Closed and ChannelClosed signals

 src/salut-tubes-channel.c |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit efc047fd69d91e9da1c46d1d49c328b5f90df64f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:56:37 2009 +0000

    tubes-channel: emit NewChannel when we create a new incoming muc stream tube

 src/salut-tubes-channel.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 6354840129b1ed39f239688b62c326d8cd37ab36
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:55:21 2009 +0000

    tube-stream: fire TubeChannelStateChanged signal when tube is open

 src/tube-stream.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 030c24a7009e8cb889558b6617fbfc912b19cb37
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:39:04 2009 +0000

    test-two-muc-stream-tubes: ordering of the server-connected and client-connected is not garantee

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 517c10d3dff3da179f6f7daee3ce244e9de2a706
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:02:14 2009 +0000

    test-two-muc-stream-tubes: fix Interfaces check

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9e27a21746c00375eaad7995d28833ebcd66f19e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 16:01:41 2009 +0000

    test-two-muc-stream-tubes.py: no need to use an async call when requesting the tube

 tests/twisted/avahi/test-two-muc-stream-tubes.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1e6165759dd24c021eeb127c9630929cffcab865
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:50:17 2009 +0000

    constants: fix INTERFACES

 tests/twisted/constants.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b3c92ec373dc0e53307d594d3a2a5b49c86784aa
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:23:24 2009 +0000

    test-request-muc-tubes.py: use constants

 tests/twisted/avahi/test-request-muc-tubes.py |   89 +++++++++----------------
 1 files changed, 33 insertions(+), 56 deletions(-)

commit ce05558120dbd4815e01dfacc077dddf4b75d0d4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:12:47 2009 +0000

    test-two-muc-stream-tubes.py: start to test new tube API

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   54 +++++++++++++++++++++-
 1 files changed, 53 insertions(+), 1 deletions(-)

commit d15d9f0c2fe5b0e954592dbf2f15c83cfcda4108
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:11:38 2009 +0000

    test-request-muc-tubes: text and tubes channels are announced together

 tests/twisted/avahi/test-request-muc-tubes.py |  126 +++++++++++--------------
 1 files changed, 54 insertions(+), 72 deletions(-)

commit 564fa6a1526c08d778911178fba86fd9d37d10cb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:10:54 2009 +0000

    muc-manager: handle StreamTube channel requests

 src/salut-muc-manager.c |  146 ++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 124 insertions(+), 22 deletions(-)

commit 21575eb7675a5f000b29a898ab38faf0db14c4f5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:09:18 2009 +0000

    salut_tubes_channel_offer_stream_tube: call salut_tube_stream_offer

 src/salut-tubes-channel.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit cdbcff9f329be2d22ef1f828fccb802a142fc869
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:08:45 2009 +0000

    add salut_tube_stream_offer

 src/tube-stream.c |   34 ++++++++++++++++++++++++++++++++++
 src/tube-stream.h |    2 ++
 2 files changed, 36 insertions(+), 0 deletions(-)

commit 5437ef121eba94c4671aee3daaf7203e5c739463
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:07:55 2009 +0000

    tube-stream: remove connection signal that doesn't make sense

 src/tube-stream.c |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit 54f386de1016a5c880a98dac3ce9e137f102cd26
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:06:55 2009 +0000

    salut_tube_stream_add_bytestream: fire NewConnection signal (new API)

 src/tube-stream.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit bead5a78618560da0cbe5c9aa833f03e93438da2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:04:32 2009 +0000

    tube-stream: not initiated tube are always in the not-offered state

 src/tube-stream.c |   34 +++++++++-------------------------
 1 files changed, 9 insertions(+), 25 deletions(-)

commit 5f929f12419a3791a090a98029025c8dafe2dbbf
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:02:20 2009 +0000

    tubes-channel: don't announce tube on the old API until it has been offered

 src/salut-tubes-channel.c |   63 +++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 55 insertions(+), 8 deletions(-)

commit bc7fb26f4558474451726d1c3c619554690336d6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 15:00:29 2009 +0000

    muc-manager: announce stream tube channel class

 src/salut-muc-manager.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 8a65e72ac348596b91644cd1be6ecb8208f59661
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 14:59:00 2009 +0000

    test-offer-private-stream-tube: use new API to offer the tube

 .../avahi/test-offer-private-stream-tube.py        |   11 +++--------
 1 files changed, 3 insertions(+), 8 deletions(-)

commit 748fe85efa8c130546e30dc326c4abd6707a610e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 14:58:12 2009 +0000

    tubes-manager: set requested property when creating a tubes channel

 src/salut-tubes-manager.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit de646b127371a204bbb7b816702d1e2edbcef52c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 14:57:38 2009 +0000

    tubes-channel: add priv->requested

 src/salut-tubes-channel.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 8fb32b04f8e0b978c77b6cb289756e8ee2012c36
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 14:56:07 2009 +0000

    constants: add INTERFACES

 tests/twisted/constants.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d8b506f30718b715b64c6da9811d8fbe5ee62820
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 11:30:44 2009 +0000

    constants.py: add PROPERTIES_IFACE

 tests/twisted/constants.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4432af58423a73f42b0dfa834fa5511a20d7e4f6
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 11:30:13 2009 +0000

    test-offer-private-stream-tube.py: TargetID is a tube channel allowed property

 .../avahi/test-offer-private-stream-tube.py        |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit fb390c81842ae65c879c013b53bf6589615dfd6a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 11:29:49 2009 +0000

    tubes-mgr: use salut_stream_tube_channel_allowed_properties instead of our own copy of it

 src/salut-tubes-manager.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

commit fb5e6abfbdb3c5fe9bdd0758ce92bcf1163c3b3a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 11:27:55 2009 +0000

    tube-stream: add salut_stream_tube_channel_allowed_properties

 src/tube-stream.h |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 3b926fad8f25f4a6785008cff5622533ce8ad0ce
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 11:06:26 2009 +0000

    test-two-muc-stream-tubes: use constants.py and check if the tubes are properly closed

 tests/twisted/avahi/test-two-muc-stream-tubes.py |   31 ++++++++-------------
 1 files changed, 12 insertions(+), 19 deletions(-)

commit e820a6836428797fb2693415cbb6a3c3f07cce33
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 10:59:44 2009 +0000

    add few constants

 tests/twisted/constants.py |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit debf54e1ea1fd651ffbe80f040a254a26805bb12
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 10:54:20 2009 +0000

    rename test-tube.py to test-offer-private-stream-tube.py

 tests/twisted/Makefile.am                          |    2 +-
 .../avahi/test-offer-private-stream-tube.py        |  376 ++++++++++++++++++++
 tests/twisted/avahi/test-tube.py                   |  376 --------------------
 3 files changed, 377 insertions(+), 377 deletions(-)

commit 0f6b5ceb805a7f5f554b2ae7e9b2c6728fa76f33
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 28 10:47:12 2009 +0000

    rename test-two-tubes.py to test-two-private-stream-tubes.py

 tests/twisted/Makefile.am                          |    2 +-
 .../twisted/avahi/test-two-private-stream-tubes.py |  180 ++++++++++++++++++++
 tests/twisted/avahi/test-two-tubes.py              |  180 --------------------
 3 files changed, 181 insertions(+), 181 deletions(-)

commit b795655221b536bd849fe73dfbd2a735322f007f
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 27 17:14:35 2009 +0000

    test-tube.py: Status has been renamed to State

 tests/twisted/avahi/test-tube.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7cedc3b2cd908748a46c35f669e99de71cefa168
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 27 17:14:15 2009 +0000

    rename TUBE_STATUS to TUBE_STATE

 tests/twisted/constants.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 00f93f1e55a3cadc287417b5f2584a2efdf46963
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 27 17:13:50 2009 +0000

    salut_tube_stream_class_init: Status has been renamed to State

 src/tube-stream.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bff85ce67aa69744acc341f7bbb6fac1b9cf9c81
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 27 17:13:32 2009 +0000

    sync tube new API with latest draft

 extensions/Channel_Interface_Tube.xml   |   10 ++--
 extensions/Channel_Type_DBus_Tube.xml   |  102 +++++++++++--------------------
 extensions/Channel_Type_Stream_Tube.xml |    4 +-
 3 files changed, 44 insertions(+), 72 deletions(-)

commit 151231d6f0a6afc13d691c201c60dd9d7934b7c4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 27 16:59:49 2009 +0000

    all.xml: add DBus_Unique_Name

 extensions/all.xml |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 14056e1c24553ac0510c29810371827ffcc1e008
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 13:14:21 2009 +0000

    ft-manager: add file_channel_closed function

 src/salut-ft-manager.c |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit 87b9764ca897a64020cd2a4ab3a5f87ad9b2bf69
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 12:48:01 2009 +0000

    wait_for_contact_list: add a FIXME about potential race

 tests/twisted/saluttest.py |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c7fb05410c10982c72962387cc67eacd43e376ed
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 12:46:35 2009 +0000

    wait_for_contact_list: use constants.py

 tests/twisted/saluttest.py |   25 +++++++++++--------------
 1 files changed, 11 insertions(+), 14 deletions(-)

commit 4ed188c1738b761eac0f31abb99a420dc8797596
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 22 12:46:16 2009 +0000

    constants.py: add HT_CONTACT_LIST and CHANNEL_TYPE_CONTACT_LIST

 tests/twisted/constants.py |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0d058112841ab6692fd3dd36bad69ac30b0ec14b
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 6 12:54:48 2009 +0100

    salut_tubes_manager_requestotron: initialise service

 src/salut-tubes-manager.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 011d3296e540becc96243a4ce6c1a6302774b093
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 6 12:48:47 2009 +0100

    all.xml: add Unix_Timestamp64

 extensions/all.xml |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b599ea2099908d3be9eaacfaeae391b307f8499a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 6 12:48:29 2009 +0100

    extensions/channel.xml: remove Channel_Type_File.xml as it has been renamed to Channel_Type_File_Transfer.xml since ages

 extensions/channel.xml |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit dd70a293b53de568b880b208cc55fada6829ce67
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 5 15:04:52 2009 +0000

    pass request properties to salut_tubes_channel_tube_request so we don't have to fetch them twice

 src/salut-tubes-channel.c |   19 +++----------------
 src/salut-tubes-channel.h |    2 +-
 src/salut-tubes-manager.c |   11 +++++++----
 3 files changed, 11 insertions(+), 21 deletions(-)

commit 5affa79a645a2748d276c5c838f018844f512388
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 5 12:14:29 2009 +0000

    salut_tube_stream_constructor: there is no point to fire a signal in the constructor

 src/tube-stream.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 03cb2c3d2b81abf49a1edb5218b95b4b9766fd80
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 5 12:13:39 2009 +0000

    salut_tubes_manager_foreach_channel: use GHashTableIter

 src/salut-tubes-manager.c |   41 ++++++++++++++---------------------------
 1 files changed, 14 insertions(+), 27 deletions(-)

commit 31a2596e32473dea7430bbe27715b3755f2dad1a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 5 12:08:13 2009 +0000

    salut_tubes_manager_close_all: define tmp variable in sub block

 src/salut-tubes-manager.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 2ff43ce0f6058e270a2ada0daaf0a33014e1ac40
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 5 12:07:01 2009 +0000

    salut_tubes_channel_foreach: use GHashTableIter

 src/salut-tubes-channel.c |   36 +++++++++++-------------------------
 1 files changed, 11 insertions(+), 25 deletions(-)

commit 165dccf6c6dff87e25bc403adc1a4bd79123a907
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 5 11:56:43 2009 +0000

    salut_tubes_channel_offer_d_bus_tube: we don't have to use parameters_copied any more

 src/salut-tubes-channel.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit d2946f21770acee419de46e52e8a1da1006e8d64
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Wed Jan 14 13:50:38 2009 +0000

    tubes-to-nonexistant-ids: remove debug print

 tests/twisted/avahi/tubes-to-nonexistant-ids.py |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 4daac5ff78e1488e342300e8dde1d3b4adb9a08c
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 15:50:47 2009 +0000

    upgrade constants.py from Gabble

 tests/twisted/constants.py |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 01c31d6dde92b946d2b09b21cf4d7eabed631d40
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 13:16:05 2009 +0000

    tube-stream: GetStreamTubeSocketAddress method has been removed

 src/tube-stream.c |   19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit ead895d944e1bb9dc511ff9bb38e78cd602968f5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 13:15:42 2009 +0000

    update to latest tube spec

 extensions/Channel_Interface_Tube.xml   |   22 +++++--------
 extensions/Channel_Type_DBus_Tube.xml   |    8 ++--
 extensions/Channel_Type_Stream_Tube.xml |   51 +++++++++----------------------
 3 files changed, 27 insertions(+), 54 deletions(-)

commit 567c779bacc1613caa292d2a086a6fd83ca13b39
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 13:06:37 2009 +0000

    coding style tweak

 src/tube-stream.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit a61f7289f0c2b972a3dc42a420815ab835c1949d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 11:43:37 2009 +0000

    salut_tubes_manager_requestotron: salut_tubes_channel_tube_request is not suppose to return NULL and, anyway, it doesn't make sense to call tp_channel_manager_emit_request_already_satisfied on the tubes channel

 src/salut-tubes-manager.c |   23 +++++++----------------
 1 files changed, 7 insertions(+), 16 deletions(-)

commit dde60dd84a389ef398e57829b6d74f40a3c11d38
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 11:41:31 2009 +0000

    remove require_new argument from salut_tubes_channel_tube_request as we can always create a new tube channel

 src/salut-tubes-channel.c |    3 +--
 src/salut-tubes-channel.h |    3 +--
 src/salut-tubes-manager.c |    2 +-
 3 files changed, 3 insertions(+), 5 deletions(-)

commit 5d4807130dadd5f189a287ae169d44162a0b0d10
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 11:37:36 2009 +0000

    tubes-manager: renames channels to tubes_channels

 src/salut-tubes-manager.c |   50 ++++++++++++++++++++++----------------------
 1 files changed, 25 insertions(+), 25 deletions(-)

commit cf2e59117664047c3088d016bb18e7a7efedb839
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 11:11:10 2009 +0000

    tubes-to-nonexistant-jids.py has been renamed to tubes-to-nonexistant-ids.py

 tests/twisted/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0d1dfd6a06023a31dbb437aaae41a7fe4591641a
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Jan 13 11:10:55 2009 +0000

    rename tubes-to-nonexistant-jids.py to tubes-to-nonexistant-ids.py

 tests/twisted/avahi/tubes-to-nonexistant-ids.py  |   51 ++++++++++++++++++++++
 tests/twisted/avahi/tubes-to-nonexistant-jids.py |   51 ----------------------
 2 files changed, 51 insertions(+), 51 deletions(-)

commit 3bd11513b91dd14d0795a404c25de946e24aa772
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Jan 13 11:02:24 2009 +0000

    Add test constants to EXTRA_DIST

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a0b892abc4b3bd1e47af9a97cfa4837d583dce96
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Jan 11 01:19:41 2009 +0000

    Raise InvalidArgument from StreamTube requests without Service

 src/salut-tubes-manager.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 63f970891f14618f0a480cadf9a3723cacd0c572
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Jan 11 00:51:10 2009 +0000

    Check errors returned by rejected StreamTube requests

 tests/twisted/avahi/test-tube.py |   21 ++++++++++++++++-----
 tests/twisted/constants.py       |    3 ++-
 2 files changed, 18 insertions(+), 6 deletions(-)

commit e5a2d71b1b6ff7845939c11f1c2741466b157936
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Jan 11 00:47:39 2009 +0000

    Behave on requests for Tubes to offline jids
    
    Previously, method calls requesting a Tubes channel to a jid that didn't
    exist would never get a reply, and method calls requesting a StreamTube
    to a jid that doesn't exist would trip an assertion.

 src/salut-tubes-manager.c |   43 ++++++++++++++++++++++++++++++++++---------
 1 files changed, 34 insertions(+), 9 deletions(-)

commit bc24857d8d6376ba54e3706113e4e41ba17b2ed2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Jan 11 00:45:30 2009 +0000

    Test requesting tubes to nonexistant jids

 tests/twisted/Makefile.am                        |    3 +-
 tests/twisted/avahi/tubes-to-nonexistant-jids.py |   51 ++++++++++++++++++++++
 2 files changed, 53 insertions(+), 1 deletions(-)

commit 61cb83a59d525cac7fcd3dab115011e6c1eff42b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Jan 11 00:42:18 2009 +0000

    Add a small set of test constants

 tests/twisted/constants.py |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit 0c7f1d40b591fa4319a3a73f8d1647fc3f54d575
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Jan 10 23:43:36 2009 +0000

    Don't announce Tubes channel twice when requesting a StreamTube
    
    Previously, when a Channel.Type.Tubes was created as a side-effect of
    requesting a Channel.Type.StreamTube, the implementation attempted to
    emit a single NewChannels signal for both channels. But it was
    incorrect: it emitted new-channels([Tubes], requests_satisfied=[])
    followed by new-channels([Tubes, StreamTube], requests_satisfied=[the
    request you first thought of]) because passing request_token=NULL to
    new_tubes_channel() does not stop it emitting NewChannels.
    
    On the assumption that no-one actually cares that the Tubes channel is a
    side-effect of the StreamTube channel, let's just announce them
    separately and be done with it.

 src/salut-tubes-manager.c |   30 +++++++++---------------------
 1 files changed, 9 insertions(+), 21 deletions(-)

commit b2aeafce4691cb92abfb194bd74689d621ecc1cc
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Jan 10 23:09:25 2009 +0000

    Disable requesting new-style DBus tubes.
    
    (They're not actually implemented.)

 src/salut-tubes-channel.c                          |    3 +++
 src/salut-tubes-manager.c                          |   14 ++++++++++++--
 .../avahi/test-request-invalid-dbus-tube.py        |    5 +++++
 3 files changed, 20 insertions(+), 2 deletions(-)

commit d8f7efa12fa3862c98de8524e7e4102e020e18c5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Jan 10 21:25:17 2009 +0000

    Don't accept unique names as ServiceName for DTubes.

 src/salut-tubes-manager.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 50a8650046f76cb41c525b56cabf93c798f2ef05
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Jan 10 19:56:40 2009 +0000

    Add more invalid services names to dtube request test

 .../avahi/test-request-invalid-dbus-tube.py        |   41 ++++++++++++-------
 1 files changed, 26 insertions(+), 15 deletions(-)

commit e282668dc4f805e1090158f1a17d2cf2fc041b4c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Jan 10 19:15:40 2009 +0000

    Removed unused variables in test-request-invalid-dbus-tube

 .../avahi/test-request-invalid-dbus-tube.py        |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit 1cd44bb086f6a43aafe445f55e4adaacb8806956
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 17:06:19 2009 +0000

    add test-request-invalid-dbus-tube.py to tests suite

 tests/twisted/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cc6ad3b71975fb0aca85449983300f94b260c264
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 17:06:00 2009 +0000

    add test-request-invalid-dbus-tube.py

 .../avahi/test-request-invalid-dbus-tube.py        |   63 ++++++++++++++++++++
 1 files changed, 63 insertions(+), 0 deletions(-)

commit 345bce7f59e19259af260d97dfcfff7c7222022e
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 17:05:43 2009 +0000

    salut_tubes_manager_requestotron: check if ServiceName is valid

 src/salut-tubes-manager.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 44d3f1b1ad609ffea629856c3f9897dd86fa6fc0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 16:09:30 2009 +0000

    Inform NEWS that we now implement org.freedesktop.Telepathy.Channel.Type.StreamTube.DRAFT

 NEWS |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 4c807f3bd6a1189e31b416bab697a5a0876ab2b5
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:54:14 2009 +0000

    tube-dbus: initiator property has been renamed to initiator-handle

 src/tube-dbus.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 018b3843e943e50b5075210c2a2d17c8bcaf78c4
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:48:44 2009 +0000

    test-tube: test Requested, InitiatorID, InitiatorHandle, Service and SupportedSocketTypes properties

 tests/twisted/avahi/test-tube.py |   39 +++++++++++++++++++++----------------
 1 files changed, 22 insertions(+), 17 deletions(-)

commit 6634beb188381caa70db1c6e2d75f39aeaa2fd0d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:47:44 2009 +0000

    tubes-channel: initiator property has been renamed to initiator-handle

 src/salut-tubes-channel.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 82901d8624c0e53d8265ef86b773ce307d88ce32
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:47:13 2009 +0000

    Implement and announce Requested, InitiatorHandle, InitiatorID and SupportedSocketTypes properties

 src/tube-stream.c |   58 +++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 56 insertions(+), 2 deletions(-)

commit d79bdbb8edbf77b2817377b53a97c29adc71b773
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:46:06 2009 +0000

    tubes-stream: initiator property has been renamed to initiator-handle

 src/tube-stream.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 901a4dd67561870e870a0322cbfb231128ce37e8
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:44:48 2009 +0000

    tube-iface: rename initiator property to initiator-handle

 src/tube-iface.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b6b711d496874314d662ece6bce1682c8d6d2360
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Jan 8 15:44:19 2009 +0000

